Version 3.3.92
~~~~~~~~~~~~~~
Released: 2012-03-18

* Translations
 - Updated Esperanto translation (Kristjan SCHMIDT)
 - Updated Finnish translation (Timo Jyrinki)
 - Updated Macedonian translation (Jovan Naumovski)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Persian Translation (Arash Mousavi)

* New Features:
 - Compile the GtkBuilder file as a GResource to speed up startup (Richard Hughes)

Version 3.3.3
~~~~~~~~~~~~~
Released: 2011-12-19

* Translations
 - Added Brumese translation (Thura Hlaing)
 - Updated asturian translation (Xandru Armesto)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Telugu Translations (krishnababu k)
 - Updated Turkish translation (Muhammet Kara)

* Bugfix:
 - Don't use pango_cairo_font_map_create_context (Richard Hughes)
 - Remove check for gnome-doc-utils anymore (Jasper Lievisse Adriaanse)
 - Remove the calls to the deprecated g_thread_init (Richard Hughes)

Version 3.2.0
~~~~~~~~~~~~~
Released: 2011-09-26

* Translations
 - Update Assamese translation (Nilamdyuti Goswami)
 - Updated Basque translation (Inaki Larranaga Murgoitio)
 - Updated Gujarati translation (Sweta Kothari)

Version 3.1.92
~~~~~~~~~~~~~~
Released: 2011-09-19

* Translations
 - Updated Japanese translation (Jiro Matsuzawa)

* Bugfix:
 - Move keyboard brightness icon to g-s-d (Bastien Nocera)
 - Remove NoDisplay=true from gnome-power-statistics (Matthias Clasen)

Version 3.1.90
~~~~~~~~~~~~~~
Released: 2011-08-30

* Translations
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Thai translation (Theppitak Karoonboonyanan)

* New Features:
 - Autogenerate the .gitignore files using git.mk (Richard Hughes)
 - Remove gnome-power-backlight-helper as it's been moved to g-s-d (Richard Hughes)
 - Remove the applet icons (Richard Hughes)
 - Remove the GConf migration script, there is nothing to migrate (Richard Hughes)
 - Remove the gnome-power-manager application icon, it's no longer used (Richard Hughes)
 - Remove the idle functionality as it's been moved to g-s-d (Richard Hughes)
 - Remove the suspend and hibernate icons, nothing uses them (Richard Hughes)

* Bugfix:
 - autogen.sh: don't check for a non-existent file (Owen W. Taylor)
 - Fix a warning when opening gnome-power-statistics (Richard Hughes)
 - Fix float formatting in French translation (Claude Paroz)
 - Refresh the po files, and remove unused translations (Richard Hughes)

Version 3.1.3
~~~~~~~~~~~~~
Released: 2011-07-25

* Translations
 - Updated Belarusian translation (Ihar Hrachyshka)
 - Updated Czech translation (Marek Černocký)
 - Updated Dutch translation (Hannie Dumoleyn)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Serbian translation (Мирослав Николић)

* New Features:
 - Do not handle the action on lid close, it's moved to g-s-d (Richard Hughes)
 - Do not handle the brightness keys, it's all now done in g-s-d (Richard Hughes)
 - Do not handle the lock key, it's now done in g-s-d (Richard Hughes)
 - Do not handle the 'power' button key, it's moved to g-s-d (Richard Hughes)
 - Do not handle the power hot-keys, it's now done in g-s-d (Richard Hughes)
 - Remove all the low power notifications, they have moved to g-s-d (Richard Hughes)
 - Remove all the OSD code as it's moved to g-s-d (Richard Hughes)
 - Remove gnome-phone-manager integration, it's moved to g-s-d (Richard Hughes)
 - Remove the backlight DBus interface used by g-c-c, it's moved to g-s-d (Richard Hughes)
 - Remove the critical event sounds, they've all moved to g-s-d (Richard Hughes)
 - Remove the DPMS integration, it's moved to g-s-d (Richard Hughes)
 - Remove the g-p-mr executable, 99% of functionality has been moved to g-s-d (Richard Hughes)
 - Remove the hardware button integration, it's moved to g-s-d (Richard Hughes)
 - Remove the help files, now neither g-p-mr or g-p-p exist (Richard Hughes)
 - Remove the interface that gnome-shell uses, it's moved to g-s-d (Richard Hughes)
 - Remove the keyboard backlight key handling, it's moved to g-s-d (Richard Hughes)
 - Remove the manual marshalling, it's no longer used (Richard Hughes)
 - Remove the notification for battery low capacity, the feature was rejected in g-s-d (Richard Hughes)
 - Remove the PkControl abstraction, it's moved to g-s-d (Richard Hughes)
 - Remove the power engine, it's moved to g-s-d (Richard Hughes)
 - Remove the screensaver integration, it's moved to g-s-d (Richard Hughes)
 - Remove the udisks integration, it was rejected from the g-s-d merge (Richard Hughes)
 - Remove the xrandr brightness settings code, it's now in g-s-d (Richard Hughes)

* Bugfix:
 - Add Unity to OnlyShowIn (Michael Terry)
 - Don't complete critical action if power is resumed (David Sommerseth)
 - Support VPATH builds and use recommended quoting (Javier Jardón)
 - Update app launcher icon. bug #645536 (Jakub Steiner)

Version 3.1.2
~~~~~~~~~~~~~
Released: 2011-06-13

* Translations
 - Added Afrikaans translation (Friedel Wolff)
 - Added UG translation (Abduxukur Abdurixit)
 - Updated Bengali translation (Jamil Ahmed)
 - Updated Brazilian Portuguese translation (Djavan Fagundes)
 - Updated Bulgarian translation (Alexander Shopov, Ivaylo Valkov)
 - Updated Catalan translation (Joan Duran, Jordi Serratosa)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Dutch translation (Wouter Bolsterlee)
 - Updated Esperanto translation (Kristjan SCHMIDT)
 - Updated French translation (Claude Paroz)
 - Updated German translation (Wolfgang Stöggl)
 - Updated Greek translation (George Stefanakis)
 - Updated Italian translation (Milo Casagrande)
 - Updated Japanese translation (Takayoshi OKANO, Takayuki KUSANO)
 - Updated Lithuanian translation (Gintautas Miliauskas)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Serbian translation (Милош Поповић)
 - Updated Simplified Chinese translation (Edison Zhao)
 - Updated Tamil translation (Dr.T.Vasudevan)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao)
 - Updated Turkish translation (Muhammet Kara)
 - Updated Ukranian (Daniel Korostil)
 - Updated Vietnamese translation (Nguyễn Thái Ngọc Duy)
 - Updated zh_CN translation (Edison Zhao, YunQiang Su, Funda Wang)

* Bugfix:
 - Don't crash if there is no ConsoleKit session. Fixes rh#699020 (Richard Hughes)
 - gnome-power-bugreport.sh: Use sysfs instead of hal if available (Martin Pitt)
 - If we loose the DBus name, exit (Richard Hughes)
 - Manually update the idle status property (Matthias Clasen)
 - Query gnome-screensaver settings with GSettings (Gary Ching-Pang Lin)
 - Remove GpmTrayIcon (Richard Hughes)
 - Revert "Remove the 'interactive' option for power actions" (Cosimo Cecchi)
 - Use /org/gnome as starting path for schemas (Richard Hughes)

Version 2.91.92
~~~~~~~~~~~~~~~
Released: 2011-03-21

* Translations
 - Updated Arabic translation (Khaled Hosny)
 - Updated British English translation (Bruce Cowan)
 - Updated Czech translation (Marek Černocký)
 - Updated Dutch translation by Wouter Bolsterlee (Wouter Bolsterlee)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Galician translation (Fran Diéguez)
 - Updated German translation (Mario Blättermann)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Latvian translation (Rudolfs Mazurs)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (Duarte Loreto)
 - updated Punjabi Translation (A S Alam)
 - Updated Romanian translation (Lucian Adrian Grijincu)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Simplified Chinese translation (Aron Xu)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Daniel Mustieles, Jorge González)
 - Updated Swedish translation (Daniel Nylander)

* New Features:
 - Add keyboard backlight support including dimming on idle and keyboard control (Alex Murray)
 - Add on screen display of keyboard brightness level (Alex Murray)
 - Unify osd popup dialog into separate file to avoid code duplication (Alex Murray)

* Bugfix:
 - Change the default of backlight-battery-reduce to FALSE (Richard Hughes)
 - Don't migrate the button settings for GSD in case the user has used 'interactive' (Richard Hughes)
 - Don't try to migrate backlight-battery-reduce (Richard Hughes)
 - Ensure we emit the BrightnessChanged DBus signal for the brightness buttons (Richard Hughes)
 - Fixed conversion from percentage to discrete. Fixed #644143 (Pedro Martinez-Julia)
 - Fix omitted renamed file in POTFILES.in (Claude Paroz)
 - Fix typo (William Jon McCann)
 - Fix up a translated comment in the schema. Fixes #644013 (Richard Hughes)
 - GSchema should be translatable (Christopher Aillon)
 - Remove some icons that are no longer used (Richard Hughes)
 - Remove the 'interactive' option for power actions (Richard Hughes)
 - Use symbolic icon for the keyboard brightness OSD (Bastien Nocera)
 - Use symbolic icons for brightness OSD (Bastien Nocera)

Version 2.91.90
~~~~~~~~~~~~~~~
Released: 2011-02-22

* Translations
 - QA of Galician translations (Fran Diéguez)
 - Updated Arabic translation (Khaled Hosny)
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Catalan translation (David Planella)
 - Updated French translation (Bruno Brouard)
 - Updated Gujarati Translations (Sweta Kothari)
 - Updated Persian Translation (Mahyar Moghimi)
 - Updated Punjabi Translation (A S Alam)
 - Updated Spanish translation (Jorge González)

* New Features:
 - Force suspend on lid close if LidForceSleep is set to avoid a melted laptop (Richard Hughes)

* Bugfix:
 - Copy newer versions of osd window from gnome-settings-daemon (Matthias Clasen)
 - Disable deprecated api again (Matthias Clasen)
 - Do not use g-p-m in XFCE (Vincent Untz)
 - Don't use gdk_display_get_pointer (Matthias Clasen)
 - Fix the expand properties in gnome-power-statistics. Fixes #641766 (Richard Hughes)
 - Fix typo in gnome-settings-daemon migration script (Nirbheek Chauhan)
 - Initialize the error before using in gpm_backlight_dbus_method_call(). Fixes rh#676075 (Richard Hughes)
 - Mark variables as unused to satisfy gcc (Matthias Clasen)
 - Never return NULL for the object path in GetPrimaryDevice for the composite battery device. Fixes rh#676055 (Richard Hughes)
 - Use smaller icons in gnome-power-statistics (Vincent Untz)
 - Use symbolic icons in GNOME Shell (Giovanni Campagna)

Version 2.91.5
~~~~~~~~~~~~~~
Released: 2011-01-11

* Translations
 - Added UG translation (Gheyret T.Kenji)
 - Added UG translation (Sahran)
 - Updated Czech translation (Marek Černocký)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Galician translations (Fran Diéguez)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao)

* New Features:
 - Ignore suspend on lid closed if we are docked (Richard Hughes)
 - Mark non-urgent notifications as transient (Richard Hughes)

* Bugfix:
 - Fix for newer gtk+ (Saleem Abdulrasool)
 - Remove -DGDK_DISABLE_DEPRECATED pending GDK device port (Craig Keogh)

Version 2.91.4
~~~~~~~~~~~~~~
Released: 2010-12-22

* Translations
 - Updated Estonian translation (Ivar Smolin)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Spanish translation (Jorge González)

* Bugfix:
 - Fix crash due to unreffing floating GVariants (Dan Williams)
 - Remove -DGTK_DISABLE_DEPRECATED pending GtkStyleContext port (Owen W. Taylor)

Version 2.91.3
~~~~~~~~~~~~~~
Released: 2010-12-01

* Translations
 - Added UG translation (Gheyret T.Kenji)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Romanian translation (Lucian Adrian Grijincu)
 - Updated Thai translation (Theppitak Karoonboonyanan)

* New Features:
 - Don't export a full text device description in the tuple (Richard Hughes)
 - Move the power control panel to the gnome-control-center project (Richard Hughes)
 - Remove all the preferences options to do with the screen (Richard Hughes)
 - Remove the CPU idle check before inactive sleep functionality (Richard Hughes)
 - Remove the DPMS mode selection (Richard Hughes)
 - Remove the 'event-when-closed-battery' setting (Richard Hughes)

* Bugfix:
 - Remove unused variable to pacify -Werror (Colin Walters)
 - The size_request vfunc is going away in GTK3 (Javier Jardón)

Version 2.91.2
~~~~~~~~~~~~~~
Released: 2010-11-08

* Translations
 - Added Slovenian translation (Matej Urbančič)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated French doc translation (Bruno Brouard)
 - Updated Japanese translation (Takayuki KUSANO)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Punjabi translation (A S Alam)
 - Updated Simplified Chinese translation (Aron Xu)
 - Updated Spanish translation (Jorge González)
 - Updated Telugu Translations (krishnababu k)

* New Features:
 - Add two methods to the DBus interface for gnome-shell (Richard Hughes)
 - Add two properties to the DBus interface for gnome-shell (Richard Hughes)
 - Split notify-low-power into -system and -device keys, so that users can
   disable device notifications for faulty devices attached to the computer
   and still get system events. Fixes #632029 (Richard Hughes)

* Bugfix:
 - Adapt to GtkObject removal in GTK3 (Javier Jardón)
 - Add the X-GNOME-Settings-Panel category so the control center panel is not in 'Other' (Richard Hughes)
 - Alias 'always' to 'present' to ensure that migrating the schema does not emit a warning (Richard Hughes)
 - Allow 'gnome-power-statistics --device wakeups' to focus on the correct entry (Richard Hughes)
 - Convert to GtkComboBoxText. (Alban Browaeys)
 - Do not fall back to a GtkMessageBox if using libnotify failed. Fixes #632334 (Richard Hughes)
 - Ensure correct values for Icon and Tooltip properties (Giovanni Campagna)
 - Ensure parameters to g_variant_new are not NULL (Giovanni Campagna)
 - Fix a copy-paste error (Matthias Clasen)
 - Fix compile with latest GTK (Yanko Kaneti)
 - Fix use of GVariant types and DBus signatures (Giovanni Campagna)
 - GTK3 api change: gtk_widget_hide_all (Alban Browaeys)
 - Handle the remote command line in gnome-power-statistics (Richard Hughes)
 - Lock the keyring before suspending as gnome-keyring with pam support will
   automatically unlock on resume. Fixes #628290 (Richard Hughes)
 - Make session requested quit work and not crash (Yanko Kaneti)
 - Migrate from dbus-glib to GDBus (Giovanni Campagna, Richard Hughes)
 - Port from EggDebug to the built-in GLib logging framework (Richard Hughes)
 - Port to libnotify 0.7.0 (Richard Hughes, William Jon McCann)
 - Port to the new GtkApplication API (Alban Browaeys, Richard Hughes)
 - Remove the brightness applet as GNOME3 will not have the ability to show applets at all (Richard Hughes)
 - Require libnotify as a hard build time dep (William Jon McCann)
 - The control center module name shuld be 'Power', not 'Power Management' (Richard Hughes)
 - Update gnome-settings-daemon copy pasted code (Giovanni Campagna)
 - Use correct DBus types for UPower data (Giovanni Campagna)
 - Use gtk_box_new() instead gtk_[v|h]box_new() (Javier Jardón)

Version 2.91.1
~~~~~~~~~~~~~~
Released: 2010-10-04

* Translations
 - Updated Arabic translation (Khaled Hosny)
 - Updated British English translation (Bruce Cowan)
 - Updated Bulgarian translation (Damyan Ivanov)
 - Updated Catlan translation (Gil Forcada)
 - Updated Czech translation (Ondrej Kopka, Marek Cernocky)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Dutch translation (Wouter Bolsterlee)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Finnish translation (Timo Jyrinki).
 - Updated French translation (Bruno Brouard)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Christian Kirbach)
 - Updated German translation (Mario Blättermann)
 - Updated Greek translation for gnome-power-manager (Michael Kotsarinis)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Indonesian translation (Dirgita)
 - Updated Italian translation (Milo Casagrande)
 - Updated Japanese translation (Takayuki KUSANO)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Lithuanian translation (Žygimantas Beručka)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (Duarte Loreto)
 - Updated Punjabi translation (A S Alam)
 - Updated Romanian translation (Lucian Adrian Grijincu)
 - Updated Serbian translation (Милош Поповић)
 - Updated Simplified Chinese help translation (Aron Xu)
 - Updated Simplified Chinese translation (Tao Wang)
 - Updated Slovak translation (Pavol Šimo)
 - Updated Slovenian translation (Andrej Žnidaršič)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Tamil translation (drtv)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao)

* New Features:
 - Support arbitrary time combo values (Michael Terry)
 - Allow 'Do nothing' as an option as Xorg is still broken. Fixes #589736 (Richard Hughes)

* Bugfix:
 - Adjust dim timeout when necessary (Tim Liim)
 - brightness-applet: Add missing include (Martin Pitt)
 - Cast idle_time_in_msec to appropriate type (Frédéric Péters)
 - Convert EggConsolekit to use GDBus (Richard Hughes)
 - Do not autoscale the percentage graph in the history tab. Fixes #613984 (Richard Hughes)
 - Do not dist org.gnome.power.policy in the tarball (Richard Hughes)
 - Do not play games with string concatenating. Fixes #626191 (Richard Hughes)
 - Don't poke NetworkManager at suspend and resume (Richard Hughes)
 - Ensure the preferences menu item launches the control center. Fixes rh#619231 (Richard Hughes)
 - Fix #627711 - Don't crash on systems which don't have XBACKLIGHT (Chris Coulson)
 - Fix compile with expose -> draw change (Richard Hughes)
 - gtk_widget_size_request is deprecated (Alban Browaeys)
 - has_separator was removed from gtk 3 (Alban Browaeys)
 - Make changes to the Power control center capplet to better match the mockup (Richard Hughes)
 - Only disable deprecated code for --enable-strict builds (Richard Hughes)
 - Raise the GTK build dep to 2.91.0 (Richard Hughes)
 - Remove last traces of DeviceKit-power (Michael Biebl)
 - Remove the inhibit applet. It doesn't belong here anymore (Richard Hughes)
 - Replace gdk_error_trap_pop by new gdk_error_trap_pop_ignored (Alban Browaeys)
 - Treat brightness-up when at max as a success (Michael Terry)
 - Update the GSD media keys window shared code to fix the build with GTK3 (William Jon McCann)
 - Use the correct backlight step value when using the legacy fallback device (Will Woods)

Version 2.31.4
~~~~~~~~~~~~~~
Released: 2010-07-01

* Translations
 - Add Esperanto translation (Kristjan Schmidt)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Estonian translation (Mattias Põldaru)

* New Features:
 - Port the preferences dialog to libgnome-control-center (Richard Hughes)
 - Use the GSetting enum functionality (Richard Hughes)
 - Convert from our homegrown test framework to GTest (Richard Hughes)

* Bugfix:
 - Do not assume the lid is open at boot. Fixes #622026 (Richard Hughes)
 - Do not show the prefs menu on LiveCD's and with GDM. Fixes #621674 (Richard Hughes)
 - Depend on gnome-control-center 2.31.4 so the GTK dep is correct (Richard Hughes)

Version 2.31.3
~~~~~~~~~~~~~~
Released: 2010-06-18

* Translations
 - Added Norwegian bokmål translation (Kjartan Maraas)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Galician translations (Fran Diéguez)
 - Updated German doc translation (Mario Blättermann, Wolfgang Stöggl)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Latvian translation (Rudolfs Mazurs)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Punjabi Translation (A S Alam)
 - Updated Spanish translation (Jorge González)
 - Updated Thai translation (Sira Nokyoongtong)

* New Features:
 - Require GTK3 as per the GNOME release team announcement (Richard Hughes)
 - Port to GSettings (Richard Hughes)
 - Port to GtkApplication (Richard Hughes)
 - Port to libpanel-applet-3 (Carlos Garcia Campos)
 - Assign names to our idle sources when using new versions of glib2 (Richard Hughes)
 - Make libnotify an optional dependency as it relies on gtk-2.0 (Richard Hughes)
 - Require libcanberra-gtk3 for GNOME3 (Richard Hughes)
 - Require libpanelapplet-3.0 to avoid gtk-2.0 (Richard Hughes)

* Bugfix:
 - Do not require PolicyKit to get the brightness values (Richard Hughes)
 - Correctly call docbook2man (Dominique Leuenberger)
 - Remove libwnck-1.0 from configure, we don't actually need it (Richard Hughes)
 - Use the new battery-full-charged icon from the shared icon specification. Fixes #620851 (Richard Hughes)

Version 2.31.1
~~~~~~~~~~~~~~
Released: 2010-06-02

* Translations
 - Updated Arabic translation (Khaled Hosny)
 - Updated Belarusian translation (Mikola Tsehan)
 - Updated Catalan translation (Jordi Serratosa)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated French translation (Bruno Brouard)
 - Updated French translation (Claude Paroz)
 - Updated French translation (Milan Bouchet-Valat)
 - Updated Galician translation (Francisco Diéguez)
 - Updated Greek translation (Jenny Petoumenou)
 - Updated Hebrew translation (Yaron Shahrabani, Yaron Sharabani)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Kannada translations (Shankar Prasad)
 - Updated Malayalam Translation (Ani Peter)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Oriya translation (Manoj Kumar Giri)
 - Updated Simplified Chinese translation (Chen Xing)
 - Updated Shavian translation (Thomas Thurman)
 - Updated Spanish translation (Jorge González)
 - Updated Thai translation (Theppitak Karoonboonyanan)

* Features:
 - Port from DeviceKit-power to UPower (Richard Hughes)
 - Remove the use of HAL from gnome-power-manager (Richard Hughes)
 - Add new 6 hours period in power history stats (Rafał Rosiak)
 - Use the device names from the shared-icon-specification (Richard Hughes)
 - Use the symbolic icons present in some themes (Richard Hughes)
 - Show the primary device time remaining as the first entry in the context menu (Richard Hughes)
 - Provide a pkexec helper for systems that do not have xbacklight capability (Richard Hughes)

* Bugfix:
 - Added explicit fallback priority lists for icon naming (Brian Hutsell)
 - Add the required translations and icons for computer, tablet and media-player device types (Richard Hughes)
 - Closed lid notification message typo fix (Frédéric Péters)
 - Correctly coldplug the list of devices in the stats viewer (Richard Hughes)
 - Do not issue a console warning when laptop batteries are empty (Richard Hughes)
 - Do not show empty devices in the status area tooltip (Richard Hughes)
 - Do not show gnome-power-statistics in the menus (Richard Hughes)
 - Don't treat percentage=0 as error condition (Chow Loong Jin)
 - Drop the 'Wireless' prefix for battery devices (Richard Hughes)
 - Ensure we add phone type devices in the coldplug (Richard Hughes)
 - Make EggConsoleKit a singleton (Chris Coulson)
 - Make the battery status translatable in gnome-power-statistics (Richard Hughes)
 - Now we do not have the suspend and hibernate menu context items, remove the 'Always' option (Richard Hughes)
 - Only dim the screen on idle when on the active console (Chris Coulson)
 - Remove GetPreferencesOptions() and untie the preferences from the daemon (Richard Hughes)
 - Remove hardcoded paths from pkexec setup (Brian Hutsell)
 - Remove the decimal place precision from the warning notification percentages (Richard Hughes)
 - Remove the filter in GpmBrightness to prevent a crash in some circumstances. Fixes #617529 (Richard Hughes)
 - Reorganize the tray icon code to make it easier for AppIndicator support to be patched in (Jan Arne Petersen)
 - Right align the percentage column in the device context menu (Richard Hughes)

Version 2.30.0
~~~~~~~~~~~~~~
Released: 2010-03-29

* Translations
 - Updated Arabic translation (Khaled Hosny)
 - Updated Basque language (Inaki Larranaga Murgoitio)
 - Updated Bengali translation (Jamil Ahmed)
 - Updated Brazilian Portuguese translation (André Gondim)
 - Updated British English translation (Bruce Cowan)
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Catalan translation (David Planella)
 - Updated Czech translation (Marek Černocký)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Dutch translation (Wouter Bolsterlee, Ruben Vermeersch)
 - Updated Estonian translation (Mattias Põldaru, Priit Laes)
 - Updated Finnish translation (Tommi Vainikainen)
 - Updated French translation (Claude Paroz)
 - Updated Galician translation (Fran Diéguez)
 - Updated German translation (Christian Kirbach)
 - Updated Greek doc translation (Simos Xenitellis)
 - Updated Greek translation (Kostas Papadimas, Nikos Bakaoukas)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Italian translation (Milo Casagrande)
 - Updated Korean translation (Changwoo Ryu)
 - Updated Lithuanian translation. (Gintautas Miliauskas)
 - Updated Malayalam translation (Praveen Arimbrathodiyil)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Portuguese translation (Duarte Loreto)
 - Updated Punjabi translation (A S Alam)
 - Updated Romanian translation (Adi Roiban)
 - Updated Russian translation (Alexander Saprykin, Юрий Козлов)
 - Updated Serbian translations (Miloš Popović)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Jorge González)
 - Updated Swedish translation (Daniel Nylander)
 - updated Tamil translation (vasudeven)
 - Updated Traditional Chinese translation(Hong Kong and Taiwan) (Chao-Hsiung Liao, Kevin Wei)
 - Updated Ukrainian translation (Maxim V. Dziumanenko)

* Bugfix:
 - Check for libpanel only if building the applets (Saleem Abdulrasool)
 - Check for XRR* functions using library version instead of proto version (Rémi Cardona)
 - Use pkg-config instead of autoconf macros to find X libs and protos (Rémi Cardona)
 - Declare GError in gpm_brightness_hal_init to fix build failure (Chris Coulson)
 - Do not set a charge warning if the device is on AC (Pramod Dematagoda)
 - Do not use EggDbusProxy in GpmScreensaver (Marc Deslauriers)
 - Don't query the capabilities of the notification daemon (Chris Coulson)
 - Ensure we close any 'battery low' notifications when we switch to being on AC (Richard Hughes)
 - Fix a problem where the critical action is not done in the case of a UPS (Pramod Dematagoda)
 - Fix a race condition where we can miss the idle reset alarm (Chris Coulson)
 - Fix up a translation using ngettext rather than assuming the plural. Fixes #612950 (Richard Hughes)
 - Fix wrong suspends with docked laptops (Martin Pitt)
 - If a battery charge is low but not critical don't play the sound meant for a critical charge event (Pramod Dematagoda)
 - Play a sound loop if the charge of a laptop battery/ups reaches a critical level. Fixes rh#470090 (Pramod Dematagoda)
 - Remove the pointy-finger status icon when the idletime code fails to work correctly (Richard Hughes)
 - Replace devkit-power call with upower in gnome-power-bugreport.sh (Chris Coulson)

Version 2.29.91
~~~~~~~~~~~~~~~
Released: 2009-03-01

* Translations
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated British English translation (Bruce Cowan)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao)
 - Updated French translation (Claude Paroz)
 - Updated Brazilian Portuguese translation (Djavan Fagundes)
 - Updated Simplified Chinese translation (Eleanor Chen)
 - Updated Galician Translation (Fran Diéguez)
 - Updated Spanish translation (Jorge González)
 - Updated Arabic translation (Khaled Hosny)
 - Updated Russian translation (Leonid Kanter, Yuri Kozlov)
 - Updated Romanian translation (Lucian Adrian Grijincu)
 - Updated German translation (Mario Blättermann)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Italian translation (Milo Casagrande)
 - Updated Polish translation (Piotr Drąg)
 - Updated Norwegian Nynorsk translation (Torstein Adolf Winterseth)
 - Updated German translation (Wolfgang Stöggl)
 - Updated Tamil translation (vasudeven)

* Bugfix:
 - DeviceKit-disks is now called UDisks (Richard Hughes)
 - Ensure we clear all notification bubbles on resume (William Jon McCann)
 - Set the timeout for critical battery notification to never (William Jon McCann)
 - Increase the critical action timeout to 20 seconds (William Jon McCann)
 - When we're critically low, don't give a time as it's often imprecise (William Jon McCann)

Version 2.29.2
~~~~~~~~~~~~~~
Released: 2009-02-01

* Translations
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Welsh translation (Iestyn Pryce)
 - Updated Bengali translation (Jamil Ahmed)
 - Updated Spanish translation (Jorge González)
 - Updated Arabic translation (Khaled Hosny)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Thai translation (Theppitak Karoonboonyanan)
 - updated Tamil translation (vasudeven)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Ukrainian translation (Maxim V. Dziumanenko)
 - Updated Vietnamese translation (Nguyễn Thái Ngọc Duy)

* New Features:
 - Move the power management preferences into the hardware section of the control center (Richard Hughes)
 - Use the name of 'Power' for the power management preferences capplet (Richard Hughes)

* Bugfix:
 - Don't rely on the cached value of the lid status, to fix a double suspend issue (Chow Loong Jin)
 - Add a flag to inhibit consolekit events just after we resumed (Chow Loong Jin)
 - Don't automatically suspend if there are suspend inhibits (Chris Coulson)
 - Do not exit if hal is not available (Martin Pitt)
 - Only connect to HAL if there is no xrandr backlight hardware (Martin Pitt)
 - Fix compile when using an ld that defaults to --as-needed (Richard Hughes)
 - Enable the help action in gnome-power-statistics. Fixes #607005 (Richard Hughes)
 - Ensure the window is realized before we invalidate it. Fixes #604918 (Richard Hughes)
 - Don't show the user a sleep failed link pointing to the quirk site (Richard Hughes)
 - Show the device name even when using UPower (Richard Hughes)

Version 2.29.1
~~~~~~~~~~~~~~
Released: 2009-12-08

* Translations
 - Updated Simplified Chinese translation (Aron Xu)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Catalan translation (David Planella)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Spanish translation (Jorge González)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Greek translation. (Kostas Papadimas)
 - Updated Romanian translation (Lucian Adrian Grijincu)
 - Updated Danish translation (Mads Lundby)
 - Updated Oriya translation (Manoj Kumar Giri)
 - Updated Czech translation (Marek Černocký)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Simplified Chinese translation (Tao Wei)
 - Updated Shavian translation (Thomas Thurman)
 - Updated Hebrew translation (Yaron Shahrabani)
 - Updated Hebrew translation (Yaron Sharabani)
 - Updated Tamil translation (drtvasudevan)
 - Added Simplified Chinese translation user manual (苏运强)

* New Features:
 - Switch to a single menu design, rather than a seporate left and right menu (Richard Hughes)
 - Show the sleep failure as a modal dialog box. Fixes rh#427065 (Richard Hughes)
 - Sets some tooltips for the gnome-power-preferences buttons (Richard Hughes)
 - Throttle screensaver before suspend/hibernate (Tormod Volden)
 - Add a --device parameter to gnome-power-statistics so we can set the device focus (Richard Hughes)
 - When we click on a battery device in the context menu, show the gnome-power-statistics dialog. Fixes #596983 (Richard Hughes)
 - Use gnome-settings-daemon popup code (Bastien Nocera)

* Bugfix:
 - Add missing indirection to return value of DriveSetAllSpindownTimeouts call (Chris Coulson)
 - Use accessor functions instead direct access (Javier Jardón)
 - Fix some error messages and comments (Martin Pitt)
 - Help the kernel through its key name confusion (Matthias Clasen)
 - Remove devkit-power check (Michael Biebl)
 - Remove HAL_LIBS/HAL_CFLAGS (Michael Biebl)
 - Remove obsolete check-foreground-console support. (Michael Biebl)
 - Use separate variables for dbus and dbus-glib (Michael Biebl)
 - Improve configure summary wrt HAL (Michael Biebl)
 - Remove outdated information about DeviceKit from README (Michael Biebl)
 - Sync compiler warnings handling with DK-power (Michael Biebl)
 - Remove DBUS_SYS_DIR from configure summary (Michael Biebl)
 - Do not hide some radio buttons depending on the current machine state (Richard Hughes)
 - Correctly set the focus on the last used device in gnome-power-statistics (Richard Hughes)
 - Add GSEAL_ENABLE to CPPFLAGS (Richard Hughes)
 - Apparently 'whilst' is only a British English thing. Change to 'while' throughout. Fixes #596963 (Richard Hughes)
 - Remove the 'About' and 'Help' items from the status area context menu (Richard Hughes)
 - Rename show_context_menu to show_actions as we're moving to a mono-menu design (Richard Hughes)
 - Remove show_actions_in_menu GConf key as the menu items are being removed eventually (Richard Hughes)
 - Remove the suspend and hibernate menu items (Richard Hughes)
 - Fix a bug where we try to match and refresh a virtual device, which means g-p-s crashes on next start (Richard Hughes)
 - DeviceKit-disks is expecting an int, not a uint (Scott Howard)

Version 2.27.92
~~~~~~~~~~~~~~~
Released: 2009-09-07

* Translations
 - Added Belarusian translation (Alexander Nyakhaychyk)
 - Added Catalan (Valencian) translation (Carles Ferrando)
 - Updated Turkish translation (Baris Cicek)
 - Updated Portuguese translation (Duarte Loreto)
 - Updated Lithuanian Translation (Gintautas Miliauskas)
 - Updated Basque translation (Inaki Larranaga Murgoitio)
 - Updated Bengali translation (Jamil Ahmed)
 - Updated Arabic translation (Khaled Hosny)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated German translation (Mario Blättermann)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Serbian translation (Miloš Popović)
 - Updated Bengali India Translations (Runa Bhattacharjee)
 - Updated Gujarati Translations (Sweta Kothari)
 - Updated Tamil Translations (ifelix)
 - Updated Telugu Translations (krishnababu k)

* Bugfix:
 - When building with hal, link gnome-power-manager against libhal-glib (Frédéric Péters)
 - Make notifications more reliable at session startup (Pramod Dematagoda)
 - Fix a bug where the critical time was not displayed correctly (Richard Hughes)
 - Don't crash g-p-s when there are no devices (Richard Hughes)
 - Open the gnome-power-manager help, not the 'cheese' help (Richard Hughes)
 - Never, never, show 'Unknown time'. Fixes rh#520999 (Richard Hughes)
 - Allow compile without HAL. Inspired from a patch from Javier Jardón, many thanks (Richard Hughes)
 - Remove small memory leak spotted using clang (Richard Hughes)
 - Assign the correct icon when the sleep fails (Richard Hughes)
 - Correct some shoddy error checking. Spotted by clang (Richard Hughes)

Version 2.27.91
~~~~~~~~~~~~~~~
Released: 2009-08-24

* Translations
 - Updated Bulgarian translation (Alexander Shopov)
 - Updated Galician translation (Antón Méixome)
 - Update Korean translation (Changwoo Ryu)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao)
 - Updated French translation (Claude Paroz)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Brazilian Portuguese translation (Djavan Fagundes)
 - Updating Estonian translation (Ivar Smolin)
 - Updated Spanish translation (Jorge González)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Oriya Translation (Manoj Kumar Giri)
 - Updated German translation (Mario Blättermann)
 - Updated Hebrew translation (Mark Krapivner)
 - Updating Estonian translation (Mattias Põldaru)
 - Updated Irish translation (Seán de Búrca)
 - Updated Thai translation (Theppitak Karoonboonyanan)
 - Updated Polish translation (Tomasz Dominikowski)
 - Updated Finnish translation (Tommi Vainikainen)

* Bugfix:
 - Remove the depricated Encoding= lines from the desktop files. Fixes #590612 (Richard Hughes)
 - Fix up quite a few translations, inspired by a patch from Scott Howard (Richard Hughes)
 - Add the enumerated actions in a 64bit safe way. Fixes #590991 (Richard Hughes)
 - Don't show the brightness OSD when system AC state changes (Richard Hughes)
 - Remove all the bodges from the IDLETIMER code now X is fixed (Richard Hughes)
 - Only show shutdown in the prefs GUI if ConsoleKit allows it (Richard Hughes)
 - Always show the battery status icons in the left click action (Richard Hughes)
 - Change the notification default for fully charged to FALSE for #592613 (Richard Hughes)

Version 2.27.5
~~~~~~~~~~~~~~
Released: 2009-08-03

* Translations
 - Updated Traditional Chinese translation (Chao-Hsiung Liao)
 - Updated Swedish translation (Daniel Nylander)
 - Updated Finnish translation (Ilkka Tuohela)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Spanish translation (Jorge González)
 - Updated Ukrainian translation (Maxim V. Dziumanenko)
 - Updated Irish translation (Seán de Búrca)
 - Updated Dutch translation (Tino Meinen)
 - Updated Tamil translation (drtvasudevan)

* New Features:
 - Claim org.freedesktop.Policy.Power on D-BUS (Martin Pitt)
 - Remove PolkitGnome code completely as PolicyKit 1.0 doesn't need this (Matthias Clasen)
 - Add a bodge to reset the idletime XAlarm when we are no longer inhibited (Richard Hughes)
 - Add functionality to debug the idle code by setting GPMIDLEDEBUG on the command line (Richard Hughes)
 - Use the same composited OSD for brightness notification. Fixes rh#512968 (Richard Hughes)
 - Add DeviceKit data to the bugreport script (Richard Hughes)

* Bugfix:
 - Fix pointer alignment to build on sparc (Martin Pitt)
 - gnome-power-bugreport.sh: add missing hasbang (Martin Pitt)
 - Show .desktop files in XFCE (Martin Pitt)
 - Make hotkeys work with modifiers (Martin Pitt)
 - Remove an unused include to fix compile (Matthias Clasen)
 - Be more paranoid about setting idle in a race (Richard Hughes)
 - Remove some UI elements after UI review (Richard Hughes)
 - Correct the type of the fully-charged signal. Fixes #588259 (Richard Hughes)
 - Don't ever fallback to the warning icon in the tray when batteries are invalid (Richard Hughes)
 - Don't show a discharging battery notification on each battery, just the global battery (Richard Hughes)
 - The composite battery is only fully charged if all batteries are fully charged (Richard Hughes)
 - Remove GpmNotify, and do the notifications in a more sane way. Fixes #423186 (Richard Hughes)
 - Constrain the user to a dropdown selection of times, as freeform sliders are bad UI (Richard Hughes)
 - Add policy to show icon when low, rather than critically low. Fixes #589125 (Richard Hughes)
 - Inhibit gnome-session in the applet, not gnome-power-manager (Richard Hughes)
 - Change the default to hibernate when critically low on battery power (Richard Hughes)
 - When libnotify fails, fall back to modal dialogs (Richard Hughes)
 - Use enumerated values for the policy actions, and hide 'Do nothing' unless specified in GConf (Richard Hughes)
 - Finally remove the CanSuspend and CanHibernate options, now that gnome-session is ported (Richard Hughes)
 - Switch back to org.gnome.PowerManager as we don't adhere to the shared spec anymore (Richard Hughes)
 - Compile common code with a noinst library to make compile quicker, and reduce the compressed package size by 100kB (Richard Hughes)
 - Add a GConf key to show or hide the sleep quirk site (Richard Hughes)
 - Make the orange icons yellower. Fixes rh#512962 (Richard Hughes)
 - Use the correct DBus signal types when watching gnome-session (Richard Hughes)
 - Save the caches value before we emit the inhibit and idle signals (Richard Hughes)
 - Only show gnome-power-statistics in the context menu if it is installed. Fixes rh#514249 (Richard Hughes)
 - Only use libpanel-applet flags to build applets (Vincent Untz)

==============
Version 2.27.2
==============

Translations:
 - Updated Estonian translation (Ivar Smolin)
 - Updated Spanish translation (Jorge Gonzalez)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Estonian translation (Mattias Põldaru)
 - Updated Estonian translation (Priit Laes)
 - Updated Bengali India Translation (Runa Bhattacharjee)
 - Updated Tamil translation (drtvasudevan)

Features:
 - Enable pretty compiler output with new automake versions (Richard Hughes)
 - Use composite battery mode by default to fix multi-battery laptops (Richard Hughes)
 - Add manager policy to change the disk spindown based on timeouts set in GConf (Richard Hughes)
 - Add GConf keys for the disk spindown functionality (Richard Hughes)
 - Add preferences checkboxes for the disk spindown functionality (Richard Hughes)
 - No longer support HAL legacy buttons (Richard Hughes)
 - Add support for recall data provided by DeviceKit-power (Richard Hughes)

Bugfixes:
 - Prefix GTKBuilder files with gettext/glade (Claude Paroz)
 - Use gtk_show_uri i.s.o. gnome-open (Jaap A. Haitsma)
 - Remove -Wunitialized because it does not compile on Ubuntu Jaunty (Jaap A. Haitsma)
 - Fix the category in the gnome-power-statistic desktop file. Fixes rh#489041 (Richard Hughes)
 - Make minimum size of th statistics graphs smaller. Fixes rh#491426 (Richard Hughes)
 - Don't show the feedback widget when the brightness changes, only on key press and when interactive (Richard Hughes)
 - If we caught our idletime alarm, then remove from the filter (Richard Hughes)
 - Take the battery capacity into account when using multiple batteries (Richard Hughes)
 - Ignore capacity readings of less than 1% (Richard Hughes)
 - Show a label to the user when there is no graph data (Richard Hughes)
 - Add statistics devices in visually pleasing order (Richard Hughes)
 - Use the composite device for getting the global system warning icon (Richard Hughes)
 - Setup the reset event before we do the idle action, to finally fix blanking (Richard Hughes)
 - Be more paranoid about setting idle in a race (Richard Hughes)
 - Remove three unused GConf keys (Richard Hughes)
 - Don't show the whole object path in the GUI, just show the ID (Richard Hughes)
 - Only print the DeviceKit device if we are using --verbose (Richard Hughes)
 - Remove a little bit more of our HAL dep, and use the lid-is-present DK-p property (Richard Hughes)
 - Fix compile with DKP_DISABLE_DEPRECATED turned on (Richard Hughes)
 - Remove ambient light sensor support, and keyboard backlight devices (Richard Hughes)
 - Support DKP_DEVICE_STATE_PENDING_x in more places (Richard Hughes)

==============
Version 2.27.1
==============

Translations:
 - Updated Korean translation (Shankar Prasad)
 - Updated Greek translation (Simos Xenitellis, Michael Kotsarinis)
 - Updated Tamil translation (drtvasudevan)
 - Updated Punjabi (Gurmukhi) Translation (A S Alam)
 - Updated Simplified Chinese translation (Gavin Huang, Deng Xiyue)
 - Updated Catalan translation (David Planella, Jordi Mas i Hernandez)
 - Updated Serbian translation (Miloš Popović)
 - Updated Galician translation (Suso Baleato)
 - Updated Estonian translation (Ivar Smolin)
 - Updated Spanish translation (Jorge Gonzalez)
 - Updated Slovenian translation (Matej Urban)
 - Updated Ukrainian translation (Maxim V. Dziumanenko)
 - Updated German translation (Nathan-J. Hirschauer)
 - Updated Russian translation (Nickolay V. Shmyrev)
 - Updated Czech translation (Lucas Lommer, Petr Kovar)

Features:
 - Add DOAP file (Richard Hughes)
 - Connect to gnome-session and exit on logout (Richard Hughes)
 - Change the default lid close on AC policy to be suspend, not blank (Richard Hughes)
 - Show the processor device if we have capability, not if we have events (Richard Hughes)
 - Add support for the DeviceKit-power property lid-is-closed so we can now run without --enable-legacy-buttons (Richard Hughes)
 - Convert from libglade to GtkBuilder (Richard Hughes)
 - Expose graph details as properties on the object, and constrain time to user value. Fixes #581910 (Richard Hughes)
 - Add a composite device to GpmEngine so we can DTRT for multiple primary batteries (Richard Hughes)

Bugfixes:
 - Add desktop category to doap file (Olav Vitters)
 - Only setup the blanking timeout when a timeout is set. Fixes rh#498041 (Kyle McMartin)
 - Attach the libnotify popups to the notification icon later (Pramod Dematagoda)
 - Check whether xrandr-1.3 features are really supported by xorg-server. Fixes #582142 (Priit Laes)
 - Preload gconf tree /apps/gnome-power-manager recursively. Fixes #578545 (Behdad Esfahbod)
 - Fix the low capacity warning to fix rh#489832 (Richard Hughes)
 - Rewrite the DPMS class to have 1% of the complexity (Richard Hughes)
 - Remove unused GConf keys (Richard Hughes)
 - Use ngettext for a 2.26.x era string. Fixes #576128 (Richard Hughes)
 - Unref the popup window when it's cleared. Fixes #577901 (Richard Hughes)
 - Ensure we clear the default DPMS timeout of 1200s. Should fix #576169 (Richard Hughes)
 - Remove our local copy of libdevkit-power (Richard Hughes)
 - Convert a floating reference to prevent a GTK warning (Richard Hughes)
 - Use G_GINT64_FORMAT to fix compile on 64 bit computers (Richard Hughes)
 - Do the lid policy action on active-change. Fixes rh#497262 (Richard Hughes)
 - Don't segfault if org.gnome.Session is not present on the bus. Fixes #581425 (Richard Hughes)
 - Ensure we are on battery power before we take any of the low power battery actions (Richard Hughes)
 - Remove the unused abstraction GpmAdapter, and use DkpClient directly (Richard Hughes)
 - Remove the single use abstract GpmRefcount and use a local timer (Richard Hughes)
 - Remove some methods on the DBus interface that have moved to DeviceKit-power (Richard Hughes)
 - Remove the inhibit interface, and rely on gnome-session (Richard Hughes)
 - Use DeviceKit-power to get the can-suspend and can-hibernate properties (Richard Hughes)
 - Handle return to NORMAL idle when lid closed a bit better (Richard Hughes)
 - Correct the polarity of the on-ac battery check when inhibiting the screensaver (Richard Hughes)
 - Correct the logic for the fully charged and discharging popups (Richard Hughes)
 - Don't try to keep closing the feedback widget (Richard Hughes)
 - Don't always show a single graph dot in gnome-power-statistics (Richard Hughes)

==============
Version 2.26.0
==============

Translations:
- Added mai: Rajesh Ranjan
- Updated as: Amitakhya Phukan
- Updated el: Kostas Papadimas
- Updated lt: Žygimantas Beručka
- Updated da: Ask H Larsen
- Updated mr: Sandeep Shedmake
- Updated ta: I Felix
- Updated hi: Rajesh Ranjan
- Updated nb: Kjartan Maraas
- Updated te: Krishnababu K
- Updated or: Manoj Kumar Giri
- Updated hi: Rajesh Ranjan
- Updated gu: Ankitkumar Patel

Help Manual Translations:
- Added fi: Kaarina V Sauna-aho / Nomovok

===============
Version 2.25.92
===============

- Fixed #529214, Need longer timeout periods (Richard Hughes)
- Fixed #571330, gnome-power-manager shouldn't start on session panel phase (Lucas Rocha)
- Fixed #571950, make default-button have a floppy in it (Richard Hughes)
- Fixed #485103, Don't crash if there's no gnome-session (Richard Hughes)
- Fix double free when passed --version (Richard Hughes)
- Fix the battery history when using a new DeviceKit-power (Richard Hughes)
- Fix up the icon when we are state unknown, and very close to the charging capacity (Richard Hughes)
- Disable the ambient light sensor by default (Richard Hughes)

Translations:
- Updated be@latin: Ihar Hrachyshka
- Updated bg: Alexander Shopov
- Updated da: Ask H, Ask Hjorth Larsen
- Updated de: Wolfgang Stöggl, Wolfgang Stoeggl
- Updated en_GB: Philip Withnall, David Lodge
- Updated es: Jorge González, Jorge Gonzalez
- Updated eu: Iñaki Larrañaga Murgoitio, Inaki Larranaga Murgoitio
- Updated fi: Ilkka Tuohela
- Updated fr: Claude Paroz
- Updated hu: Gabor Kelemen
- Updated it: Milo Casagrande
- Updated ja: Takeshi AIHANA
- Updated kn: Shankar Prasad
- Updated ko: Changwoo Ryu
- Updated lt: Gintautas Miliauskas
- Updated lv: Raivis Dejus
- Updated nl: Wouter Bolsterlee
- Updated or: Manoj Kumar Giri
- Updated pl: Tomasz Dominikowski
- Updated pt: Duarte Loreto
- Updated pt_BR: Djavan Fagundes, Vladimir Melo
- Updated ro: Adi Roiban, Jani Monoses
- Updated sv: Daniel Nylander
- Updated ta: Tirumurthi Vasudevan, Dr.T.vasudevan
- Updated th: Theppitak Karoonboonyanan
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

Help Manual Translations:
- Updated ca: Joan Duran
- Updated en_GB: Philip Withnall
- Updated es: Jorge Gonzalez, Jorge González
- Updated eu: Inaki Larranaga Murgoitio, Iñaki Larrañaga Murgoitio
- Updated it: Milo Casagrande
- Updated sv: Daniel Nylander

===============
Version 2.25.91
===============

- Fixed #545886, Hard-to-distinguish charge levels for charging icons (Richard Hughes)
- Fixed #568756, Install the autostart file in the xdg directory (Richard Hughes)
- Fixed #545886, Add 32x32 icons, and make sure all charging icons are blue (Lapo Calamandrei)
- Fixed #570242, Add some translator comments to the new stats interface (Richard Hughes)
- Fixed #570254, Used new icons in 16, 22, and 24 sizes in on-shelf perspective (Andreas Nilsson)
- Fixed problem where the icon would not show on startup or when the notification try was reloaded (Richard Hughes)
- Start in the GNOME Panel phase, not the GNOME Applications phase so we work with the fast user switch applet (Richard Hughes)
- Don't show the discharging icon when the status is unknown (Richard Hughes)
- Remove translatable flag from gtk-refresh stock button (Gabor Kelemen)
- Ask for edge triggers on system idle time, not level triggers (Adam Jackson)
- Add a configure option for --enable-legacy-buttons to support HAL and Xorg keys. By default we are now only supporting Xorg events (Richard Hughes)
- Fix compile failure with gcc-4.4.0 and old versions of glib2 (Richard Hughes)

Translations:
- Updated ast: Gil Forcada, Astur
- Updated es: Jorge González, Jorge Gonzalez
- Updated gu: Sweta Kothari
- Updated hu: Gabor Kelemen
- Updated nb: Kjartan Maraas
- Updated te: Krishnababu K, Krishna Babu K
- Updated vi: Clytie Siddall
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

Help Manual Translations:
- Updated de: Mario Blättermann
- Updated sv: Daniel Nylander

==============
Version 2.25.3
==============

- Fixed #562576, profile is not saved correctly (Richard Hughes)
- Fixed #563791, GNOME Goal: Clean up GLib and GTK+ includes (Pedro Fragoso)
- Fixed #565076, Use g_timeout_add_seconds where possible (Richard Hughes)
- Fixed #565552, gtk_status_icon_set_tooltip has been deprecated (Frederic Peters)
- Fixed #565867, build time check for DeviceKit (Richard Hughes)
- Fixed #566115, Fails to build on sparc (fails to build on sparc)
- Fixed #567295, statistics doesn't update title (Richard Hughes)
- Fixed #567298, some minor code issues in gpm-statisctics.c main() (Richard Hughes)
- Fixed #567918, idle delay changes (Richard Hughes)
- Fixed #569100, when brightness is to 0, pressing one more brightness down makes brightness up/down stop working. (Richard Hughes)
- Fixed #569356, build error, missing egg-idletime.c (Richard Hughes)
- Add processor wakeup support into gnome-power-statistics. This requires DeviceKit-power from git master to work properly.
- Don't rely on the gnome-screensaver idle key now we are using gnome-session

Translations:
- Updated ca: David Planella
- Updated es: Jorge González, Jorge Gonzalez
- Updated fi: Timo Jyrinki
- Updated he: Yaniv Abir <yanivabir at gmail dot com>, Yair Hershkoviz
- Updated ko: Changwoo Ryu
- Updated nb: Kjartan Maraas
- Updated ru: Nickolay V. Shmyrev
- Updated sv: Daniel Nylander
- Updated zh_CN: 甘露(Gan Lu)

Help Manual Translations:
- Updated de: Mario Blättermann

==============
Version 2.25.2
==============

- Fixed #565076, Use g_timeout_add_seconds where possible (Richard Hughes)
- Fixed #565552, gtk_status_icon_set_tooltip has been deprecated (Frederic Peters)
- Fixed #566115, Fails to build on sparc (fails to build on sparc)

Translations:
- Updated es: Jorge González, Jorge Gonzalez
- Updated nb: Kjartan Maraas
- Updated zh_CN: 甘露(Gan Lu)

==============
Version 2.25.1
==============

- Rewrite engine to support DeviceKit-power
- Rewrite statistics graphing application to support DeviceKit-power
- NOTE: you can still build g-p-m without DeviceKit-power, but functionality
  is very limited, and there are no statistics or battery profiling available.
  It's also not tested by me. The next release will probably have the HAL
  compatability code removed completely.
- Distros that do not yet ship DeviceKit-power can ship packages from
  GNOME_POWER_MANAGER_2_24_X which is still maintained.

- Fixed #462109, make distcheck fails on my laptop (Richard Hughes)
- Fixed #549844, DBUS times out after longer suspends (Richard Hughes)
- Fixed #551582, build error ('warning' undeclared) (Richard Hughes)
- Fixed #558103, Build fails with undefined symbol XF86XK_Battery (Frederic Peters)
- Fixed #558670, Make "Make defaults" actually work :-) (Vincent Untz)
- Fixed #559994, missing locale.h includes (Frederic Peters)
- Fixed #561114, Escape should close/cancel focused toplevel dialog (Richard Hughes)
- Fixed #562445, build failure; missing gpm-engine.h (Richard Hughes)
- Fixed #562836, GPM OSD does not popup on machines that support keys in HW but not in xrandr (Richard Hughes)
- Fixed #562900, gnome power manager keeps using xrandr backend after failed calls (Richard Hughes)
- Fixed #564531, build error, applets depend on libgnomeui (Richard Hughes)

Translations:
- Updated ast: Astur, Gil Forcada
- Updated bg: Alexander Shopov
- Updated ca: David Planella
- Updated cs: Pavel Sefranek, Petr Kovar
- Updated da: Kenneth Nielsen
- Updated de: Michael Kanis, Hendrik Richter
- Updated es: Jorge González, Jorge Gonzalez
- Updated et: Ivar Smolin
- Updated eu: Iñaki Larrañaga Murgoitio, Djihed Afifi
- Updated fi: Timo Jyrinki
- Updated gl: Ignacio Casal Quinteiro
- Updated he: Yair Hershkoviz, Yaniv Abir
- Updated hr: Robert Sedak, Tomislav Pavlović
- Updated hu: Gabor Kelemen
- Updated is: Djihed Afifi
- Updated it: Luca Ferretti, Milo Casagrande
- Updated ko: Changwoo Ryu
- Updated lt: Gintautas Miliauskas
- Updated lv: Djihed Afifi
- Updated mk: Djihed Afifi, Arangel Angov
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated pl: Tomasz Dominikowski
- Updated pt: Duarte Loreto
- Updated pt_BR: Djihed Afifi
- Updated ro: Mugurel Tudor, Alexandru Szasz
- Updated ru: Yuriy Penkin, Djihed Afifi
- Updated sr@latin: Goran Rakić, Ignacio Casal Quinteiro
- Updated sv: Daniel Nylander
- Updated uk: Djihed Afifi
- Updated vi: Nguyễn Thái Ngọc Duy, Clytie Siddall
- Updated zh_CN: Funda Wang, YangZhang
- Updated zh_TW: Hialan Liu, Djihed Afifi

Help Manual Translations:
- Updated ca: Joan Duran
- Updated fr: Robert-André Mauchin
- Updated hu: Gabor Kelemen
- Updated it: Luca Ferretti, Milo Casagrande

===============
Version 2.23.91
===============

- Fixed #547502, gnome-power-manager won't configure (Gilles Dartiguelongue)
- Fixed #547766, Crash in gpm_cell_array_update gpm-cell-array.c:273 (Richard Hughes)
- Fixed #549789, "unknown" battery type untranslated (Seán de Búrca)
- Fixed #549854, gpm-cell.c not translator friendly (Claude Paroz)

Translations:
- Updated LINGUAS, sr@latin.po, sr@Latn: Goran Rakic
- Updated be@latin: Ihar Hrachyshka
- Updated es: Jorge González, Jorge Gonzalez
- Updated eu: Inaki Larranaga Murgoitio, Iñaki Larrañaga Murgoitio
- Updated fi: Ilkka Tuohela
- Updated fr: Robert-André Mauchin and Claude, Claude Paroz, Robert-André Mauchin and Claude Paroz
- Updated ga: Seán de Búrca
- Updated he: Yair Hershkoviz, Yaniv Abir
- Updated ja: Takeshi AIHANA
- Updated lt: Gintautas Miliauskas
- Updated nb: Kjartan Maraas
- Updated pt: Duarte Loreto
- Updated pt_BR: Fábio Nogueira, Fábio Nogueira and Leonardo Ferreira Fontenelle
- Updated sv: Daniel Nylander
- Updated th: Theppitak Karoonboonyanan
- Updated vi: Nguyễn Thái Ngọc Duy, Clytie Siddall
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao, Hialan Liu

==============
Version 2.23.6
==============

- Fixed #544298, gpm 2.23.3 fails to compile (Richard Hughes)
- Fixed #546556, g-p-m unable to startup on Solaris Sparc because of missing XRandr (Simon Zheng)
- Supress low battery warning on Eee as it's reported as non-rechargeable (Matthew Garrett)
- Use polkit-simple to simplify the optional PolicyKit bits (Richard Hughes)
- Completely remove all traces of the skipping suppressed action warning (Richard Hughes)
- Don't use a libnotify window for the battery information, use a GtkDialog instead (Richard Hughes)

Translations:
- Updated ar: Khaled Hosny
- Updated cs: Pavel Šefránek, Pavel Sefranek
- Updated es: Jorge González, Jorge Gonzalez
- Updated gl: Ignacio Casal Quinteiro
- Updated he: Yaniv Abir, Yair Hershkoviz
- Updated nb: Kjartan Maraas
- Updated oc: Yannig Marchegay, Yannig Marchegay (Kokoyaya)
- Updated pt_BR: Vladimir Melo, Leonardo Ferreira Fontenelle
- Updated sl: Matej Urbančič
- Updated th: Theppitak Karoonboonyanan

Help Manual Translations:
- Updated sv: Daniel Nylander

==============
Version 2.23.3
==============

- Fixed #483144, Gconf key for battery brightness labeled incorrectly... (Richard Hughes)
- Fixed #492132, policy timeout prevents computer from suspend (Richard Hughes)
- Fixed #517914, Inconsistent colors of graphs (Richard Hughes)
- Fixed #521686, Removing gnome_program_init removes session management (Richard Hughes)
- Fixed #522078, aborts when suspend is chosen when running under GDM (Richard Hughes)
- Fixed #522236, g-p-m should set a window type hint for the brightness feedback window (Richard Hughes)
- Fixed #522336, Change Playbin state back to NULL on error and EOS : fix potential memory leak when using pulsaudio (Richard Hughes)
- Fixed #523152, GetBrightness returns a INT not a UINT (Richard Hughes)
- Fixed #524449, gnome-power-preferences gives a critical warning (Richard Hughes)
- Fixed #526178, Should check user capability "CanShutdown" before providing shutdown option in combo box (simon.zheng)
- Fixed #526349, gnome-power-bugreport.sh doesn't work on Solairs (simon.zheng)
- Fixed #534335, cpu load calculation doesn't work on Solaris (simon.zheng)
- Fixed #535271, XBACKLIGHT is very slow (Richard Hughes)
- Fixed #536956, Should remove cpufreq_show gconf key (simon.zheng)

Translations:
- Updated ru: Yuri Kozlov
- Updated fr: Claude Paroz
- Updated bg: Alexander Shopov
- Updated nn: Eskild Hustvedt
- Updated el: Kostas Papadimas
- Updated vi: Clytie Siddall
- Updated is: Andre Klapper
- Updated sv: Daniel Nylander
- Updated ar: Djihed Afifi
- Updated en_GB: Richard Hughes
- Updated th: Theppitak Karoonboonyanan
- Updated cs: Petr Kovar
- Updated et: Priit Laes
- Updated gl: Ignacio Casal Quinteiro
- Updated es: Jorge Gonzalez

==============
Version 2.23.1
==============

- Fixed #526178, Should check user capability "CanShutdown" before providing shutdown option in combo box (Simon Zheng)
- Fixed #526349, gnome-power-bugreport.sh doesn't work on Solairs (Simon Zheng)
- Fixed #522236, g-p-m should set a window type hint for the brightness feedback window (Danny Baumann)
- Fixed #522078, Don't try to generate a config_id when we have no primary batteries (Richard Hughes)
- Fixed #517914, The graph colors are used inconsistently between the various graphs (Jérôme Guelfucci)
- Fixed #524449, Fix a critical warning in gnome-power-preferences (Richard Hughes)
- Fixed #108075, Don't show some notifications under GDM (Richard Hughes)
- Fixed rh#444026, Check keys for writability before we try to change them (Richard Hughes)
- Fixed rh#443069, Be more paranoid about the rates reported from HAL (Richard Hughes)
- Fix a bunch of build warnings with glib trunk (Kjartan Maraas)
- Use Unique to make g-p-p and g-p-s single instance (Richard Hughes)
- Add a default button for GConf settings (Matthias Clasen)
- Remove all the hidden cpufreq code, as I keep being told I'm insane by Matthew (Richard Hughes)
- Use the same logic for xrandr as hal when we have a large number of brightness steps (Richard Hughes)
- Clear the brightness applet background properly so we can draw on it later (Ted Gould)
- Remove the lid sounds. Everbody hates them (Richard Hughes)
- Add new functionality allowing us to change the backlight brightness using XRANDR (Richard Hughes)
- Make the backlight do what the user expects rather than what the policy says (Richard Hughes)

Translations:
- Updated bg: Alexander Shopov
- Updated nn: Eskild Hustvedt
- Updated is: Andre Klapper
- Updated ar: Djihed Afifi
- Updated th: Theppitak Karoonboonyanan
- Updated cs: Petr Kovar
- Updated et: Priit Laes
- Updated en_GB: Richard Hughes

==============
Version 2.22.0
==============

- Fixed #514590, brightness applet is bloaty (Matthias Clasen)
- Fixed #520411, interaction between brightness applet and prefs dialog (David Zeuthen)
- Add some missing finaliser calls (Richard Hughes)

Translations:
- Updated el: Simos Xenitellis
- Updated vi: Nguyễn Thái Ngọc Duy
- Updated it: Luca Ferretti
- Updated cy: Rhys Jones
- Updated fi: Ilkka Tuohela
- Updated cs: Petr Kovar
- Updated es: Jorge Gonzalez
- Updated sr.po, sr@Latn: Danilo Šegan
- Updated tr: Baris Cicek, Turkish
- Updated lt: Gintautas Miliauskas
- Updated en_GB: Philip Withnall
- Updated fr: Stéphane Raimbault
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated de: Hendrik Richter
- Updated da: Kenneth Nielsen
- Updated nl: Vincent van Adrighem
- Updated hu: Gabor Kelemen
- Updated ja: Takeshi AIHANA
- Updated he: Yair Hershkoviz
- Updated be@latin: Ihar Hrachyshka
- Updated ko: Changwoo Ryu
- Updated kn: Runa Bhattacharjee, kn
- Updated mk: Arangel Angov
- Updated sk: Marcel Telka
- Updated uk: Maxim Dziumanenko

===============
Version 2.21.92
===============

- Fixed #507789, GPM can't beep (Simon Zheng)
- Fixed #510068, Reduction brightness on battery doesn't work (Simon Zheng)
- Fixed #512267, Automatically put right version in to desktop.in files (Jaap Haitsma)
- Fixed #514077, Battery profiling does not work (Richard Hughes)
- Resave as plain vacuumed svg to save over 2Mb from the tarball and installed size (Nicu Buculei)
- Drop unused gnome client from gpm-main.c (Jani Monoses)

Translations:
- Updated vi: Clytie Siddall
- Updated ca: Gil Forcada
- Updated cs: Petr Kovar
- Updated as: Amitakhya Phukan
- Updated ar: Djihed Afifi
- Updated ga: Seán de Búrca
- Updated eu: Inaki Larranaga Murgoitio
- Updated gl: Ignacio Casal Quinteiro
- Updated es: Jorge Gonzalez
- Updated pt: Duarte Loreto
- Updated nb: Kjartan Maraas
- Updated lt: Gintautas Miliauskas
- Updated th: Theppitak Karoonboonyanan
- Updated pl: Wadim Dziedzic
- Updated zh_HK: Hong Kong
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated zh_TW: Taiwan
- Updated hu: Gabor Kelemen
- Updated fi: Ilkka Tuohela
- Updated he: Yair Hershkovitz
- Updated nn: Eskild Hustvedt
- Updated oc: Yannig Marchegay
- Updated sv: Daniel Nylander
- Updated mr: Rahul Bhalerao

==============
Version 2.21.1
==============

- Fixed #413360, After loading gnome gpm starts but shows nothing in tray icon despite option (Mart Raudsepp)
- Fixed #474973, Lack of context to translate (Gabor Kelemen)
- Fixed #497298, The +/- buttons on the brightness applet sometimes get stuck. (Simon Zheng)
- Fixed #497298, Avoid float computation error (Simon Zheng)
- Fixed #497328, Incorrect documentation for --enable-checkfg (Josselin Mouette)
- Fixed #496367, Work out the size of the label text to avoid truncating numbers in other locales (Richard Hughes)
- Correct much of the documentation in many different ways (Bob Mauchin)
- Use _NEVER for sleep problems notification, so that the user can always see it (Rodrigo Moya)
- Pass make distcheck on a desktop machine without a battery (Richard Hughes)
- Fix the keyboard brightness up button. From the ubuntu patch archive (Richard Hughes)
- Use the correct DBUS return types now HAL enforces the return type (David Zeuthen)
- Rip out GpmWebcam - it's pretty crack, and I'm getting some odd bugreports
  about flashing webcam lights and brightness levels changing (Richard Hughes)

Translations:
- Updated fr: merged from gnome-2-20
- Updated bg: Alexander Shopov
- Updated pt_BR: Guilherme de S. Pastore
- Updated ca: Jordi Mallach
- Updated ko: Changwoo Ryu
- Updated sv: Daniel Nylander
- Updated mk: Jovan Naumovski
- Updated ar: Djihed Afifi
- Updated pl: Artur Flinta
- Updated et: Priit Laes
- Updated nb: Kjartan Maraas
- Updated es: Jorge Gonzalez

==============
Version 2.20.0
==============

- Fixed #470481, Inhibit applet does not work after first login (Alex Jones)

Translations:
- Updated el: Nikos Charonitakis
- Updated gu: Ankit Patel
- Updated vi: Clytie Siddall
- Updated ca: Gil Forcada, Josep Puigdemont i Casamajó
- Updated it: Alessio Frusciante
- Updated ar: Djihed Afifi
- Updated eu: Inaki Larranaga Murgoitio
- Updated et: Priit Laes
- Updated es: Jorge Gonzalez
- Updated ru: Nickolay V. Shmyrev
- Updated nl: Vincent van Adrighem
- Updated pt: Duarte Loreto
- Updated nb: Kjartan Maraas
- Updated lt: Gintautas Miliauskas
- Updated th: Theppitak Karoonboonyanan
- Updated ro: Mugurel Tudor
- Updated pl: Artur Flinta, Wadim Dziedzic
- Updated ta: I. Felix
- Updated fr: Stéphane Raimbault
- Updated pt_BR: Raphael Higino
- Updated de: Hendrik Richter
- Updated hu: Gabor Kelemen
- Updated hi: Rajesh Ranjan
- Updated fi: Ilkka Tuohela
- Updated da: Kenneth Nielsen
- Updated ja: Takeshi AIHANA
- Updated ml: Ani Peter
- Updated sv: Daniel Nylander
- Updated mk: Jovan Naumovski
- Updated sk: Claude Paroz
- Updated si: Danishka Navin
- Updated uk: Maxim Dziumanenko
- Updated or: Subhransu Behera

===============
Version 2.19.92
===============

- Fixed #449274, Application specific icons are installed in the wrong directory (Jaap Haitsma)
- Fixed #462109, make distcheck fails on my laptop (Jaap Haitsma)
- Fixed #462347, Use new tooltip API of GTK 2.12 (Jaap Haitsma)
- Fixed #467094, Typo 'the the' in two messages (Stéphane Raimbault)
- Fixed #468509, Some grammar issues (Richard Hughes)
- Fixed #468825, Possible error in GUI text strings (Richard Hughes)

Translations:
- Updated el: Nikos Charonitakis
- Updated gu: Ankit Patel
- Updated vi: Clytie Siddall
- Updated ca: Josep Puigdemont i Casamajó
- Updated eu: Inaki Larranaga Murgoitio
- Updated es: Jorge Gonzalez
- Updated pt: Duarte Loreto
- Updated nb: Kjartan Maraas
- Updated th: Theppitak Karoonboonyanan
- Updated pl: Artur Flinta, Wadim Dziedzic
- Updated ta: I. Felix
- Updated fr: Stéphane Raimbault
- Updated pt_BR: Raphael Higino
- Updated da: Kenneth Nielsen
- Updated fi: Ilkka Tuohela
- Updated hu: Gabor Kelemen
- Updated ja: Takeshi AIHANA
- Updated ml: Ani Peter
- Updated sv: Daniel Nylander
- Updated mk: Jovan Naumovski
- Updated si: Danishka Navin
- Updated or: Subhransu Behera

==============
Version 2.19.6
==============

- Fixed #405421, TFT head-up brightness appears in centre of screen, rather than 3/5 down (Richard Hughes)
- Fixed #436717, gnome-power-manager should properly show the brightness OSD on laptops which do brightness adjustments in hardware but report keypresses via the keyboard (Richard Hughes)
- Fixed #445173, Strings in server.in files are not marked for translation (Richard Hughes)
- Fixed #448570, Polish about dialog (Richard Hughes)
- Fixed #450154, Translate program description correctly (Richard Hughes)
- Fixed #453853, Battery profile includes power use while suspended (Richard Hughes)
- Fixed #455148, brightness osd pops up out of the blue (Richard Hughes)
- Fixed #455499, Please add translation comment for "quirk website" (Theppitak Karoonboonyanan)
- Fixed #457414, gpm-sound.c:269: error: ‘bvw’ undeclared (Richard Hughes)
- Fixed #458609, Translator comment needed for context translations (Gabor Kelemen)
- Fixed #458613, Hard to understand/translate messages (Richard Hughes)
- Fixed #459099, non-sensical string (Richard Hughes)
- Fixed #459747, Enable lock of GNOME Keyring on hibernate (Richard Hughes)

Translations:
- Updated bg: Alexander Shopov
- Updated sv: Daniel Nylander
- Updated hu: Gabor Kelemen
- Updated th: Theppitak Karoonboonyanan
- Updated it: Luca Ferretti
- Updated fi: Ilkka Tuohela
- Updated gl: Ignacio Casal Quinteiro
- Updated es: Jorge Gonzalez


==============
Version 2.19.5
==============

- Fixed #406144, suspend warning sound could be better (Richard Hughes)
- Fixed #411932, Regression detecting charged battery (Richard Hughes)
- Fixed #413642, Only one translation for two different contexts (Stéphane Raimbault)
- Fixed #422124, When screensaver idle delay was changed, didn't update sleep slider ui and gconf value (Richard Hughes)
- Fixed #423289, Idle power units confused (Richard Hughes)
- Fixed #433367, Applet icon wrong when gnome-power-manager not running (Richard Hughes)
- Fixed #442425, Power manager should provide more robust bug reporting tool (Richard Hughes)
- Fixed #448570, Polish about dialog (Jaap Haitsma)
- Fixed #450154, Translate program description correctly (Gabor Kelemen)
- Fixed #450362, Remove "battery profile is estimated" from tooltip (Richard Hughes)
- Fixed #451241, gnome-power-manager exits because webcam brightness fails (Richard Hughes)
- Fixed #452244, Battery menu should have an "allow suspend" option that can be unchecked (Richard Hughes)
- Fixed #453721, Translators need more info (Richard Hughes)

Translations:
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated zh_CN: Funda Wang
- Updated vi: Nguyễn Thái Ngọc Duy, Clytie Siddall
- Updated sv: Daniel Nylander
- Updated dz: Pema Geyleg
- Updated es: Jorge Gonzalez
- Updated fi: Ilkka Tuohela
- Updated pl: Artur Flinta


==============
Version 2.19.3
==============

- Fixed #428401, Clicking the brightness applet dims the screen (Benjamin Canou)
- Fixed #438838, crash when g-p-m can't connect with assertion enabled (Richard Hughes)
- Fixed #440409, Failed to build when using SUN C compiler (Richard Hughes)
- Fixed #445173, Strings in server.in files are not marked for translation (Gabor Kelemen)
- Don't try to do the policy action when the average accuracy is low. (Richard Hughes)
- Make the brightness dim code "learn" to take longer to dim if you keep
  undimming the screen shortly after auto-dimming it. (Richard Hughes)
- Change default of /apps/gnome-power-manager/general/network_sleep to
  false, as we now do the system action in pm-utils. (Richard Hughes)
- Add initial code to use a webcam as a brightness sensor. (Richard Hughes)
- Rework the brightness interactions, and rename a large part of the
  gconf schemas. (Richard Hughes)

Translations:
- Updated pt: Duarte Loreto
- Updated sv: Daniel Nylander
- Updated hu: Gabor Kelemen
- Updated en_GB: David Lodge
- Updated dz: Pema Geyleg
- Updated pl: Artur Flinta
- Updated th: Theppitak Karoonboonyanan
- Updated cs: Jakub Friedl
- Updated id: Mohammad DAMT
- Updated es: Jorge Gonzalez

==============
Version 2.19.2
==============

- Fixed #418605, Change power statistics label rendering to use pangocairo (Richard Hughes)
- Fixed #419403, Invalid statistics when computer clock changed. (Richard Hughes)
- Fixed #437042, Tip 'battery full charged' shows on the bottom right of screen (Richard Hughes)
- Fixed #437920, Build failure (-Werror): gpm-load.c:122: warning: ‘cpu_total’ may be used uninitialized in this function (Richard Hughes)
- Change suspend when lid close and off AC behaviour to be true.
- Reduce our DPMS querying to slow X wakeups. We are still waiting for a DPMS protocol bump...
- Improve the gnome-power-statistics UI, and make more HIG compliant.

Translations:
- Updated nb: Kjartan Maraas
- Updated es: Jorge Gonzalez
- Added id: Mohammad DAMT

==============
Version 2.19.1
==============

- Fixed #359089, Time measurement units must be translatable (Richard Hughes)
- Fixed #393388, Typos in the PO file (Richard Hughes)
- Fixed #414032, Tray icon too complex and broken under KDE (Richard Hughes)

New features:

- Add over 100 unit tests and self test code (and fixes to fix the bugs exposed)
- Make more of the HAL and DBUS stuff modular and put into libraries
- Rewrite the engine and the cell and cell-array code.
  Should be faster, more stable and less buggy than the cludges we had before.
- More integration with libnotify allowing non-critical dialogues to be ignored.
- Impliment the freedesktop PowerManagement session specification.
  See http://www.freedesktop.org/wiki/Specifications_2fpower_2dmanagement_2dspec
- Move the FAQ to http://live.gnome.org/GnomePowerManager/FAQ
- Re-organsise the gconf schema with better names, and with a tree structure.

Translations:

- Updated fr: David Lodge
- Updated zh_HK: Hong Kong
- Updated zh_CN: Funda Wang
- Updated de: Hendrik Richter
- Updated sv: Daniel Nylander
- Updated lv: Raivis Dejus
- Updated lt: Gintautas Miliauskas
- Updated ar: Djihed Afifi
- Updated dz: David Lodge
- Updated en_GB: David Lodge
- Updated fi: Ilkka Tuohela
- Updated et: Priit Laes
- Updated zh_TW: Chao-Hsiung Liao
- Updated es: Jorge Gonzalez

==============
Version 2.18.2
==============

- Fixed #422345, Fails to build with non-dbus gnome-vfs: undefined ref to `dbus_g_proxy_call' (Loïc Minier)
- Fixed #425000, add bug-buddy support to the applets (Matthias Clasen)
- Add a configurable --enable-keyring so we can disable the lock of the GNOME
  keyring at build time. Defaults to off (Richard Hughes)
- Sync dpms policy setting when starting (Young-Ho Cha)

Translations:

- Updated zh_CN: Funda Wang
- Updated de: Hendrik Richter
- Updated it: Alessio Frusciante
- Updated dz: Pema Geyleg
- Updated et: Priit Laes
- Updated gl: Ignacio Casal Quinteiro
- Updated ja: Takeshi AIHANA
- Updated es: Claudio Saavedra

==============
Version 2.18.1
==============

- Fixed #418282, fails to build from source on sparc.
- Fixed #84997, set an error if HAL is not running.
- Fixed #420491, don't assert if we cannot get the type of button from HAL.
- Fixed rh#233689, g-p-m modal error dialogs hide behind prefs dialog.

Translations:

- Updated gu: Ankit Patel
- Updated pt: Duarte Loreto
- Updated ca: Josep Puigdemont i Casamajó
- Updated mk: Jovan Naumovski
- Updated da: Peter Bach
- Updated dz: Pema Geyleg

==============
Version 2.18.0
==============

- Fixed #412345, crash in Power Statistics: crashed on startup (Richard Hughes)
- Fixed #414010, Notifications have arrow to notification area even when
                 g-p-m icon is not displayed (Richard Hughes)
- Fixed #414311, Use StartupNotify in launcher (Richard Hughes)

Translations:

- Updated el: Nikos Charonitakis
- Updated gu: Ankit Patel
- Updated ca: Josep Puigdemont i Casamajó
- Updated ar: Djihed Afifi
- Updated ru: Leonid Kanter
- Updated nl: Vincent van Adrighem
- Updated pt: Duarte Loreto
- Updated lv: Daniel Nylander
- Updated lt: Gintautas Miliauskas
- Updated th: Theppitak Karoonboonyanan
- Updated en_GB: David Lodge
- Updated fr: Stéphane Raimbault
- Updated bg: Alexander Shopov
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated de: Hendrik Richter
- Updated hu: Gabor Kelemen
- Updated dz: Daniel Nylander
- Updated sr.po, sr@Latn: Goran Rakić
- Updated ko: Changwoo Ryu
- Updated sv: Daniel Nylander
- Updated mk: Jovan Naumovski
- Updated pl: Artur Flinta
- Updated uk: Maxim Dziumanenko, Daniel Nylander

===============
Version 2.17.92
===============

Released February 27, 2007

General

- Fixed #407613, crash in Power Manager: (Richard Hughes)
- Fixed #408705, crash in Power Management: Just click on "power man... (Richard Hughes)
- Fixed #411592, Incorrect msgid strings in the PO template (Richard Hughes)
- Fixed #383653, Brightness applet should support scroll wheel (Benjamin Canou)

Translators

- Updated fr: Stéphane Raimbault
- Updated bg: Alexander Shopov
- Updated pt: Duarte Loreto
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated zh_CN: Funda Wang
- Updated vi: Nguyễn Thái Ngọc Duy
- Updated ca: Josep Puigdemont i Casamajó
- Updated ko: Changwoo Ryu
- Updated sv: Daniel Nylander
- Updated lt: Gintautas Miliauskas
- Updated ar: Djihed Afifi
- Updated en_GB: David Lodge
- Updated uk: Maxim Dziumanenko
- Updated fi: Ilkka Tuohela
- Updated et: Priit Laes
- Updated nb: Kjartan Maraas
- Updated pl: Artur Flinta

===============
Version 2.17.91
===============

Released February 12, 2007

General

 - Fixed #402823, crash in Power Manager: It had crashed when I re...
 - Fixed #406529, Crashed at login
 - Fixed #400006, Brightness applet doesn't indicate whether it's working
 - Fixed #400654, segfault on ppc architecture since upgrade to 2.17.90
 - Fixed #402230, [Typo] Case after the string 'Status:'
 - Fixed #403156, leak reported by valgrind
 - Fixed #404929, Multiple mouse battery entries after suspend/resume cycle
 - Fixed #405013, should provide the ability to halt/suspend/hibernate..

Translators

 - Updated fr: Stéphane Raimbault
 - Updated zh_HK: Woodman Tuen
 - Updated pt_BR: Leonardo Ferreira Fontenelle
 - Updated ca: Jordi Mas
 - Updated zh_TW: Woodman Tuen
 - Updated sv: Daniel Nylander
 - Updated ar: Djihed Afifi
 - Updated th: Theppitak Karoonboonyanan
 - Updated en_GB: David Lodge

================
Version 2.17.90
================

Released January 22, 2007

General

 - Add the start of a self-test framework.
 - Fix a metric ton of spelling errors in the yelp file.
 - Add a BrightnessChanged signal for the brightness applet.

Power Manager

 - Change default to be ondemand at 85 performance on AC and ondemand at 25
   performance on battery.
 - Add this new dbus interface so we can provide an alternate UI environment,
   for instance for XFCE or OLPC.
 - Use correct gnome-keyring-1 include directory. #388815
 - Point the applets help to the applets section in the main help file. #388904.
 - Don't localise battery description string as this is used internally for
   icon name. (Pascal Terjan)
 - Emit the correct signals when HAL disconnects or connects. This fixes the
   problem where the icon does not change when HAL is restarted.
 - Make sure we always use an SetBrightness int for brightness. This fixes a
   crash for people using the new libsmbios dell addon in HAL. #395174.
 - Merge BrightnessLcd and Dpms into Backlight so we can use this interface
   in a more generic way.

Power Preferences

 - Fix popup_menu callback signature. (Christian Persch) #390172.
 - Add /apps/gnome-power-manager/show_cpufreq_ui GConf key. It's not something
   I wanted to do, as 99% of people don't need to ever change this, but the
   1% will need to for specific systems. Default to hiding the control.
   Distros can patch this if required.
 - Categorize gnome-power-preferences for the control center shell.
   (Denis Washington) #394701.

Translators

 - Christopher Orr (en_GB)
 - Clytie Siddall (vi)
 - Daniel Nylander (sv)
 - David Lodge (en_GB)
 - Djihed Afifi (ar)
 - Francisco Javier F. Serrador (es)
 - Ilkka Tuohela (fi)
 - Jovan Naumovski (mk)
 - Kjartan Maraas (nb)
 - Raivis Dejus (lv)
 - Raphael Higino (pt_BR)
 - Theppitak Karoonboonyanan (th
 - Yair Hershkovitz (he)
 - Žygimantas Beručka (lt)

==============
Version 2.17.4
==============

Released December 18, 2006

General

 - Fix lots of typos in the yelp file. #380920, #381928, #381930.
   (Jorge Gonzalez)
 - Add gnome-power-bugreport.sh so we can automatically get the
   distro version and stuff from HAL using the fantastic new
   X-GNOME-Bugzilla-ExtraInfoScript.

Power Preferences

 - Remove the auto-sleep type from the UI.
 - Revert the glade file design to be similar to the 2.16 layout.
   This means we have On Ac Power and On Battery Power rather than
   the actions tabs. The change wasn't popular.
 - Various grammar changes as suggested by Tino Meinen.

Translators

 - Theppitak Karoonboonyanan (th)
 - Daniel Nylander (sv)
 - Ilkka Tuohela  (fi)
 - Matic Zgur (sl)
 - Jakub Friedl (cs)
 - Francisco Javier F. Serrador (es)
 - Kjartan Maraas (nb)
 - Jakub Friedl (cs)

==============
Version 2.17.3
==============

Released December 04, 2006

General

 - Add the initial versions of the inhibit and brightness applets.
 - Update the window title to be Power History rather than Power Graphs to
   match the drop down menu. #364200
 - Only allocate a buffer once, globally. #363991 (Stu Hood)
 - Fix several build errors on Solaris. #364621 (Harry Lu)
 - Lots of code structure changes, so now task-gobjects are now responsible
   for applying policy. Actions are now mostly asyncronous and modular.
   Code is now easier to understand IMO, and has a better structure.
 - Add really basic support for sounds when critical events happen, for
   instance if suspend fails and the lid is shut. Prevents melting.
   This uses gst-launch to use gstreamer. Add some sample sounds done by me.
 - Convert multi-instance code from libguniqueapp to GtkUnique.
 - Add gnome-keyring functionality to lock keyrings when sleeping. #375681
 - Use GtkUnique rather than libguniqueapp. Optional but recommended dep.

Power Manager

 - Add proper support for detecting broken batteries with UI to ignore
   and visit the vendor page. Requires a new hal-info to work.
 - Add code to detect when we didn't quite make it back from resume.
   This functionality requires a patch to HAL to work. (David Zeuthen)
 - Add charging flash to match the other charging icons. #364574
 - Don't do *any* action until the battery data is marked as valid. (Stu Hood)
 - Fix an infrequent odd crash when we are suspending. (Pascal Terjan)
 - Sanity check the rate and time values in case the hardware really goes
   screwy for a few seconds, and gets the values wrong.
 - Set the libnotify window to NULL after we unref it, which will probably fix
   the crash in #365279
 - Only add and remove batteries if sane. This uses a hashtable to keep
   track of what batteries we are watching and should fix #369488.
 - When we add a DPMS state throttle, remove the last one if set.
   This fixes the bug where the screensaver would not show if
   DPMS had been allowed to activate. Fixes #355279.
 - Fix the bug that was causing the battery items to show on some desktops.
 - Fix a race where percentage_charge can be momentarily zero at startup.
   This fixes an incorrect 'fully charged' notification on startup.
 - Instead of showing "missing" as the catchall, show "discharging".
   #364450. (Stu Hood)
 - Calculate the smoothed rate from device caches, instead of devices.
   #361583. (Stu Hood)

Power Preferences

 - Change the checkbox to "Dim the display when the computer is idle" #363765

Translators

 - Josep Puigdemont i Casamajó (ca)
 - Francisco Javier F. Serrador  (es)
 - Theppitak Karoonboonyanan (th)
 - Ivar Smolin (et)
 - Satoru SATOH (ja)
 - Kjartan Maraas (nb)
 - Daniel Nylander (sv)

==============
Version 2.17.2
==============

Released October 18, 2006

General

 - Fix up the recent configure change to allow g-p-m to build without libnotity
   (Frederic Peters) #359824
 - Add in preliminary support for detecting batteries that might explode.
   See http://hughsient.livejournal.com/ for more details.

Power Manager

 - Fix the hal interface so we automatically connect up the device
   DeviceCondition and PropertyChanged on HAL restart. #349842
 - Remove a potential null-dereference, spotted by Joseph Sacco. #356667
 - Replace the hardware info pane with a drop-down of devices. #356804
   This saves another 200kb from the daemon process.
 - Add initial support for keyboard backlight device - this works with
   the Apple Macbook Pro. (David Zeuthen) #357994
 - Only load the GpmHal* interface gobjects if we have the hardware.
   This saves another 100k of writable memory on my desktop PC.
 - Use the localised general string to describe the battery device in the
   dropdown. #362690.
 - Add XEVENTS functionality. This allows g-p-m to respond to events sent
   by X, as soon the kernel is going to be outputting INPUT events.
 - Fix up a couple of small memory leaks detected by valgrind.

Power Preferences

 - Fix guniqueapp support for the preferences program (Elijah Newren)
   and add support in the statistics program.
 - Make the auto-sleep functionality disable feature easier to understand.

Power Statistics

 - gnome-power-statistics now works instead of the "Information" screen
   that we used before. As it this is out of process we save 300kb for each
   instance of gnome-power-manager daemon running.
 - We can now trivially add new graph types and export them over DBUS.
 - The statistics application now includes light/dark coloured symbols with
   different shapes for colour-blind or partially sighted people.
 - gnome-power-statistics now remembers settings between invocations.
 - Add a proper tango gpm-statistics tango icon. (Jakub Steiner)
 - Add an icon the the statistics program to the "System Tools" menu.

Translators

 - Kjartan Maraas (nb)
 - Hendrik Richter (de)
 - Yair Hershkovitz (he)
 - Erdal Ronahi (ku)
 - Francisco Javier F. Serrador (es)
 - Priit Laes (et)
 - Ilkka Tuohela (fi)

==============
Version 2.17.1
==============

Released September 18, 2006

General

 - Add processor frequency scaling support. Requires HAL 0.5.8.
 - Create a new class to handle a managed proxy, i.e. a DBusGProxy that
   automatically does sane things with bus disconnects, or service restarts.
 - Add libguniqueapp shared library support. This is optional.
 - Update yelp images to reflect 2-16 and generally pretify the help xml.
 - Add in the debug option so we can easier debug g-p-m. Now adding the
   options --debug=power --debug=manager will only display the gpm-power
   and gpm-manager debug output.
 - Move to power measurement in percentages in the spec to better suit low
   power laptops and OLPC.
 - Allow power users to turn off the disconnect and reconnection feature of
   NetworkManager on sleep and resume using gconf.
   (Khashayar Naderehvandi) #353431
 - Add /apps/gnome-power-manager/session_request_save so distros like
   Ubuntu can just switch a gconf key rather than patch the source.
 - Start to implement org.gnome.PowerManager.Statistics for the
   out-of-process graphing interface. It actually doesn't do much yet.
 - Use DPMS_METHOD_OFF when we specify "default" for the DPMS action when on
   laptop hardware. Suspending the screen keeps the backlight on. #354726

Power Manager

 - Fix a couple of small memory leaks where we don't free the icon name.
 - Don't rescan buttons every minute. This task belongs in HAL. #356170
 - Remove eggtrayicon support. This means we depend on GTK+ 2.10. #356150
 - Fix hotplug add and remove of wireless mice.
 - Don't express the decimal point for the / 7 csr scale
 - Remove the broken battery FIXME. It's breaking more laptops that it was
   intended to fix and also breaks my old iBook. #334212
 - Fix some small memory leaks. (Paolo Borelli). #352858.

Power Preferences

 - Update the UI to be task-centric, rather than state centric. This is
   required now the preferences tool is starting to become a bit cleverer.
 - Add elements in the UI to prevent g-p-m from modifying the brightness
   on AC state change. Also add in the UI for the keyboard light sensor
   but disable it for now. #356085
 - Make sure that session connection is not NULL at startup. #353769.

Translators

 - Adam Weinberger (en_CA)
 - Ani Peter (ml)
 - Ankit Patel (gu)
 - Daniel Nylander (sv)
 - David Lodge (en_GB)
 - Elnaz Sarbar (fa)
 - Esteve Blanch Sanmartí (ca)
 - Hendrik Brandt (de)
 - Ilkka Tuohela (fi)
 - Ivar Smolin (et)
 - Jovan Naumovski (mk)
 - Leonid Kanter (ru)
 - Paweł Marciniak (pl)
 - Rhys Jones (cy)
 - Satoru SATOH (ja)
 - Theppitak Karoonboonyanan (th)
 - Woodman Tuen (zh_HK)
 - Woodman Tuen (zh_TW)

==============
Version 2.16.0
==============

Released September 03, 2006

General

 - Turn off Werror in configure. #352448.
 - Be more specific for our device checks in the expanded device information
   to fix the display of CSR properties. rh:203849
 - Fix some small memory leaks. (Paolo Borelli) #352858.

Translators

 - Alexander Shopov (bg)
 - Ani Peter (ml)
 - Daniel Nylander (sv)
 - Esteve Blanch Sanmartí (ca)
 - Gabor Kelemen (hu)
 - Gintautas Miliauskas (lt)
 - Hendrik Richter (de)
 - Iñaki Larrañaga Murgoitio (eu)
 - Kostas Papadimas (el)
 - Leonid Kanter (ru)
 - Raivis Dejus (lv)
 - Robert-André Mauchin (fr)
 - Runa Bhattacharjee (bn_IN)
 - Subhransu Behera (or)
 - Theppitak Karoonboonyanan (th)

===============
Version 2.15.92
===============

Released August 20, 2006

General

 - Fix a double free in the new smartcard code. (William Jon McCann) #350436
 - Work round a compiler bug which caused compilation to fail when using a
   high optimising setting. (Ed Catmur) #352104.
 - Beep to warn if the suspend or hibernate failed. #346542
 - Fix up the desktop files with the version number.
 - Change the spelling of loose to lose throughout the project. (Bruce Cowan)
 - Add a copy of the 24x24 icons instead of generating them at install time.
   Doing clever tricks with imagemagick didn't work very well. #350321
 - Add a timed exit option to the daemon (--timed-exit). #350334

Translators

 - Ankit Patel (gu)
 - Changwoo Ryu (ko)
 - Clytie Siddall (vi)
 - Daniel Nylander (sv)
 - Duarte Loreto (pt)
 - Fano Rajaonarisoa (mg)
 - Francisco Javier F. Serrador (es)
 - Gabor Kelemen (hu)
 - Ignacio Casal Quinteiro (gl)
 - Ilkka Tuohela (fi)
 - Ivar Smolin (et)
 - Johannes Schmid (de)
 - Kjartan Maraas (nb)
 - Mindu Dorji (dz)
 - Leonardo Ferreira Fontenelle (pt_BR)
 - Maxim Dziumanenko (uk)
 - Satoru SATOH (ja)
 - Theppitak Karoonboonyanan (th)
 - Wouter Bolsterlee (nl)

===============
Version 2.15.91
===============

Released August 07, 2006

General

 - Turn on the monitor unconditionally, as we may be using a smart-card to
   authenticate and DPMS might still be on. #350291.
 - Hide the 'Device Information' window if we have no devices.
 - Add in an extra battery charged check to avoid repetition in the battery
   charged notification under some circumstances. #348938
 - Fix all cases reported by sparse/gcc (Kjartan Maraas). #350058
 - Move the roadmap into the TODO so it's easier to update.
 - Make gnome-screensaver connection more resilient to bus failures. #349794
 - Poll all the buttons every minute to detect a silent lid close event. #346082
 - Reset the action timer after an ac_adapter event has been received. #348201
 - Add support for different DPMS sleep modes to support broken monitors.
   Patch from William Waghorn, many thanks.
 - Make the precision of the power supply and power rate more reasonable.
 - Install the 24x24 icons to get rid of the fuzzyness of the tray icon in some
   circumstances. This optionally requires ImageMagick. #348994
 - Fix a typo where we were trying to assign the wrong icon names so the
   battery missing icon didn't show up (instead showed a gtk-broken-image) #348710
 - Fix a crasher where the g-s timeout was larger than the max range for
   gnome-power-preferences. #347932

Translators

 - Ankit Patel (gu)
 - Francisco Javier F. Serrador (es)
 - Johannes Schmid (de)
 - Jovan Naumovski (mk)
 - Kjartan Maraas (nb)
 - Leonid Kanter (ru)
 - Raivis Dejus (lv)
 - Theppitak Karoonboonyanan (th)
 - Woodman Tuen (zh_HK)
 - Woodman Tuen (zh_TW)
 - Žygimantas Beručka (lt)

===============
Version 2.15.90
===============

Released July 23, 2006

General

 - Rewrite the GpmHal and GpmHalMonitor as the old versions were confusing
   and had hard to replicate bugs. No string changes.
 - Added Hungarian translation of the help file. (Gabor Kelemen)
 - Default to policykit support being default off.

Translators

 - Ankit Patel (gu)
 - Changwoo Ryu (ko)
 - Clytie Siddall (vi)
 - Francisco Javier F. Serrador (es)
 - Ilkka Tuohela (fi)
 - Mindu Dorji (dz)

==============
Version 2.15.4
==============

Released July 09, 2006

General

 - Change dbus Inhibit and UnInhibit methods to use a UINT32 rather than INT32,
   as this is specified in the spec.
 - Fix a compile error when we are compiling the non-libnotify sections of
   the code, which probably don't happen that often. #344674 (Elijah Newren)
 - Make a few more shared classes into singletons to save memory and CPU.
 - Allow use of --disable-schemas-install on autoconf level for disabling
   registering GConf schemas. (Tomasz Kłoczko)
 - Change /apps/gnome-power-manager/check_type_cpu default to false after
   discussion in #326742.
 - Add a test program that allows us to test the multiple inhibit stuff,
   and also to show people how easy it is adding Inhibit and UnInhibit calls
   into an existing program.

Power Manager

 - Support MacBook Pro with it's crazy number of brightness states. #346080
 - Add in initial support to check with PolicyKit over dbus. #344171
 - Logically seporate the help file, and add loads of new content.
 - Allow the user to ignore the inhibit requests from stopping a policy action.
   The key /apps/gnome-power-manager/ignore_inhibit_requests can be set to true,
   and the action will still go ahead.
 - Use the same logic as the tooltip for the notification. #345698
 - Only refresh the caches on the last PropertyModified split event to save CPU.
 - Beep if we stopped the action due to an inhibit to warn the user. #345595
 - Make sure machines that do their own dimming get special cased and just set
   the brightness once.	This really *ought* to be a HAL propery. #345258.
 - Fix missing _() macros on some strings (Paweł Marciniak)

Power Preferences

 - Replace the word 'Interactive' in the UI with 'Ask me'. #345960

Power Info

 - Fix the horizontal time scaling so the graph scales correctly.
 - For non-laptops, hide the new power graphs and do not keep polling the values.
 - Read the correct key to get the max time. #345256 (Crispin Flowerday)
 - Big statistics module re-write, which should squash a couple of crasher bugs.

Translators

 - Ankit Patel (gu)
 - Christopher Orr (en_GB)
 - I.Felix (ta)
 - Francisco Javier F. Serrador (es)
 - Gabor Kelemen (hu)
 - Ignacio Casal Quinteiro (gl)
 - Ilkka Tuohela (fi)
 - Jakub Friedl (cs)
 - Jovan Naumovski (mk)
 - Khandakar Mujahidul Islam (bn & bn_IN)
 - Kjartan Maraas (nb)
 - Mindu Dorji (dz)
 - Paweł Marciniak (pl)
 - Priit Laes (et)
 - Rajesh Ranjan (hi)
 - Theppitak Karoonboonyanan (th)

==============
Version 2.15.3
==============

Released June 11, 2006

General

 - Depend on intltool 0.35.0 to build
 - Grammar fixes in the schema and glade file (Clytie Siddall)
 - Add in XFCE option so we display in the XFCE menu. lp:43077
 - Use GtkStatusIcon when GTK version >= 2.9.0 (Jaap Haitsma)
 - Add in new docbook documentation about the dbus interface.
 - Rename and add a few DBUS methods from feedback on XDG list.

Power Manager

 - Actually show the correct levels in the pixmaps for the mouse and keyboard.
 - Add a gconf key so we can disable the action for when the lid is previously
   shut and the AC power removed at a later time as this was causing confusion.
 - Limit the capacity to 100%
 - Undim the screen when we have to unlock returning from resume. #333290
 - Rework the brightness handling so that we only have one way of doing the
   transitions. This simplifies things greatly. #341616
 - Update for gnome-screensaver API changes.  #344103

Power Preferences

 - Add the configurable action for power button press in the UI. #344325.

Power Info

 - Set the correct colours of the line depending on discharging/charging
   status. #338175.

Translators

 - Theppitak Karoonboonyanan & Roys Hengwatanakul (Thai)
 - Wouter Bolsterlee (Netherlands)
 - Clytie Siddall (Vietnamese)
 - Funda Wang (Simplified Chinese)
 - Øivind Hoel (Norwegian bokmål)
 - Francisco Javier F. Serrador (Spanish)
 - Raphael Higino (Brazilian Portuguese)

==============
Version 2.15.2
==============

Released May 15, 2006

General

 - Remove all suspend-to-{x} terminology in the code and documentation in favour
   of hibernate and suspend (http://live.gnome.org/GnomePowerManager/SleepNames).
 - Update the FAQ URL. #330889

Power Manager

 - Allow the use of GtkStatusIcon as eggtrayicon is depreciated.
 - Ensure we set the icon to visible for battery-less desktops, as before we
   had to sometimes toggle the state in g-p-p to get it to show.
 - Make sure we only set the icon if it is different to the one already
   displayed to fix the case where the icons get renamed on package upgrade. #340557.
 - Add support for the new HAL key laptop_panel.brightness_in_hardware to
   properly support key brightness changing on IBM X31 laptops. #340231.
 - Do not warn multiple times about the critical action. #333622.
 - Add the ability to handle a transparent background in the tray icon.
   #341227 (Peter Grundström)
 - Fix the GPM_BUTTON_BRIGHT_UP_DEP and GPM_BUTTON_BRIGHT_DOWN_DEP values to
   what were shipped in the HAL 0.5.7 tarball.
 - Slightly re-work a patch from Paul Betts to handle broken batteries that
   report they are neither charging or discharging by using ac_adaptor
   value instead.
 - Remove the --sm-disable from the .desktop file in autostart since it breaks
   the logout dialog (e.g. on power button) if it is not run with session
   access. lp:31103 and #339168
 - Rework the way throttling is done so that it properly ref-counted and remove
   the compatibility with the old g-s API. #340024 (William Jon McCann)

Power Preferences

 - Add the new checkboxes to set the low power mode policy. #340355

Power Info

 - Make sure the time scale cannot be less than 10 minutes as smaller values
   show the approximation errors in the event-logging code. #340217.
 - Compute the legend width using Cairo instead of hard-coding it. #340218.
 - Correct a format string so we don't sometimes crash on ppc platform. #339974
 - Add more description in the event log, for why we do particular actions.

Translators

 - Francisco Javier F. Serrador (Spanish)
 - Ilkka Tuohela (Finnish)
 - Daniel Nylander (Swedish)
 - Raphael Higino (Brazilian Portuguese)

==============
Version 2.15.1
==============

Released April 23, 2006

General

 - Update screenshots and add lots of documenation.
 - Switch icons to using the Tango style (Jakub Steiner). #331761
 - Update for new throttle API for gnome-screensaver. Also provide a fallback
   to the old API for now. #339209 (William Jon McCann)
 - Respond correctly to systray crashing by reloading the icon to the tray when
   destroyed. (Rodrigo Moya)
 - Fix up the spec file #339263 (Paul Ionescu)
 - Gnome Goal #2 PoLinguas (Jaap Haitsma)

Power Manager

 - Enable the legend only when we get a power event.
 - Only re-enable the fully charged notification when the battery drops down
   to 95% as some batteries charge to 100% and then fluctuate from ~98% to
   100%. #338281
 - Error alerts should use an OK button. #336997
 - Monitor some more gconf keys so we don't have to restart to get the new
   settings. #338628
 - Fix where the primary batteries are listed in the reverse order. #338634
 - Check that we do not set a higher brightness when we try to lower the
   brightness on idle. #338630.
 - Set libnotify point to the center of the icon. #338638
 - Set the default for the icon policy to only display if batteries are
   present so we don't display by default on desktops. rh:187140.
 - Make sure the inhibit cookie we generate is really unique. #339307.

Power Preferences

 - Add the action "Do nothing" so we don't have to do the DPMS action off for
   the external monitor. #338689
 - Fix the notebook tabs on desktop system, so we don't hide "General".

Power Info

 - Added an event log tab, and make the event code more robust.
 - Adding code so that the graphs can start at non-zero.
 - Use the new info page showing a simpler view of hardware.
 - Put a proper grid round the elements. #339262

Translators

 - Žygimantas Beručka (Lithuanian)
 - Wouter Bolsterlee (Netherlands)
 - Daniel Nylander (Swedish)
 - Funda Wang (Simplified Chinese)
 - Ilkka Tuohela (Finnish)
 - Francisco Javier F. Serrador (Spanish)
 - Hendrik Richter (German)
 - Clytie Siddall (Vietnamese)
 - Kostas Papadimas (Greek)

==============
Version 2.15.0
==============

Released April 06, 2006

General

 - Drop support for obsolete versions of libnotify, DBUS and HAL.
 - Code quality improvements (Paolo Borelli)
 - More gtk-doc comments added to all the files.
 - Remove the scons-based build system for now.
 - Use g_option instead of popt (Jaap Haitsma)
 - Install new icons to /usr/share/icons/hicolor and do gtk-update-icon-cache
   when we install. #336067
 - Add X-GNOME-Bugzilla keys for use with bug buddy (Vincent Fretin).
 - Add the missing --daemon option to the man page (Ow Mun Heng).
 - Updated Yelp help file with more useful information.

Power Manager

 - Don't do the critical action when the battery value is 0% as this happens
   for a split second with some ACPI laptops on resume.
 - Deal sanely with HAL and DBUS restarting.
 - Enable all the experimental code, such as the info window and the graphs.
   The graphs have had some serious Cairo lovin' and look pretty slick now,
   and should display more accurate data that we were displaying before.
   We also include a legend so that power events can be seen graphically.
 - Use the button "battery" rather than "www" to show battery status. lp:35633
 - Don't inhibit, but throttle when the lid is shut. #332576.
 - Update caches when we resume. For the matching HAL patch see:
   http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=187396#c10
 - Add a brightness widget that matches the volume popup when we change the
   brightness using the keyboard shortcuts.
 - Rewrite the screensaver integration so that g-s and g-p-m can be restarted
   independently and started in any order. #332366
 - Fix the expose event handling (Crispin Flowerday)
 - Use g_slice rather than g_new for the small data-points.
 - Use /apps/gnome-power-manager/show_actions_in_menu rather than the compile
   setting ACTIONS_MENU_ENABLED to disable the actions menu. #335415
 - Add urgency states and the correct icons to libnotify windows.
 - Synchronize DPMS policy after a suspend or hibernate. #336081
 - Work around a HAL bug with CSR mice and keyboards so they display the
   correct charge after a short delay.
 - Set resume time at startup to let actions settle. (Daniel Silverstone)

Power Preferences

 - Layout improvements (Jaap Haitsma, William Jon McCann) #335991, #336207
 - Move the time sliders so that they start at the g-s-p setting. #336061
 - Add a Critical UPS action into the UI. #337116

Translators

 - Gabor Kelemen (Hungarian)
 - Žygimantas Beručka (Lithuanian)
 - Francisco Javier F. Serrador (Spanish)
 - Takeshi AIHANA (Japanese)
 - Clytie Siddall (Vietnamese)

==============
Version 2.14.0
==============

Released March 14, 2006

General

 - Add the --enable-experimental-features flag so that cool new stuff that is
   not really polished can be added. #326741, #333146
   - Add simple charge, rate and time graph widgets drawn using Cairo.
     This is for #333146 so we can draw cool graphs of power stuff.
   - Create a treeview for each device type so we can display detailed
     information for each device instance.

Power Manager

 - Ignore DBUS timeouts so long suspends do not "fail". (Ray Strode)
 - Add functionality so we can ignore events just after from resume.
   This is adapted from the Ubuntu patch by Daniel Silverstone. rh:185273
 - Make UI logic more sane by using the new "present" key value. lp:33388
 - Poke the screensaver to simulate user input. This is what Windows does, and
   should solve the problems with the timer event happening shortly after the
   ac_adapter is removed. #333525
 - Unrealize the icon when we hide it, else it leaves a 1px line on the
   notification tray. Fixes a transparent panel. #333515
 - Don't try to lock if gnome-screensaver is not running.

Power Preferences

 - Only match primary batteries when showing the battery tab.
 - HIG fixes: spacing and capitalization (Dennis Cranston)

Translators

 - Hendrik Richter (German)
 - Theppitak Karoonboonyanan (Thai)
 - Clytie Siddall (Vietnamese)
 - Ilkka Tuohela (Finnish)
 - Kostas Papadimas (Greek)
 - Wouter Bolsterlee (Netherlands)
 - Takeshi AIHANA (Japanese)
 - Žygimantas Beručka (Lithuanian)

===============
Version 2.13.93
===============

Released March 03, 2006

General

 - Install autostart files to new (definitive) place (Rodrigo Moya)
 - Add a logging interface so that we can log *why* a specific action was
   taken, logged in /var/log/messages. #332760.
 - We have to handle the PropertyModified events differently depending on
   whether we are using dbus 0.60 or dbus 0.61.	(Sjoerd Simons)
   NOTE: You should use 2.13.93 if you are using dbus 0.61.

Power Manager

 - Fix a crash when a very low power mouse is inserted. rh:183127.
 - Fix the UPS "charged" icon. #332761
 - Add a configurable action for the hibernate button and the power button.
 - Wait for gnome-screensaver to lock before we suspend (Daniel Silverstone)
 - Display a BIG FAT warning in the event of DBUS not being present instead of
   just aborting like we do now.
 - Update with new bluecurve suspend and hibernate icons. (Diana Fong)
 - Ignore timeout events when the lid is closed, as we don't want to re-enable
   the screen when the user moves the mouse (on systems that do not support
   hardware blanking). lp:22522
 - Inhibit activation of the screensaver when the lid is closed.
 - Use a better way to work out if the battery is not charging. #333169
 - Standardise on longer timeouts for the libnotify boxes. lp:33411
 - Fix the repeated "battery is fully charged" messages if hardware is
   a little wonky. lp:32650, rh:183612

Power Preferences

 - Add an option to disable the dim on idle.

Translators

 - Ilkka Tuohela (Finnish)
 - Clytie Siddall (Vietnamese)
 - Takeshi AIHANA (Japanese)
 - Francisco Javier F. Serrador (Spanish)

===============
Version 2.13.92
===============

Released February 26, 2006

General

 - Update the yelp screenshots and text.
 - Update the gnome-screensaver DBUS methods for new names. Fixes #332481
 - Rationalise the icon naming scheme so that we can start to theme g-p-m.
 - Add the new UPS charging and discharging icons. Fixes #331117

Power Manager

 - Fix detection of button objects. Fixes lp:32447
 - Do the critical action as part of a g_timeout, rather than a just a
   delay so we don't lock the GUI. Fixes #332150
 - Describe what we are going to do better, so we don't say we are going to
   shutdown when we just are going to hibernate.
 - Add the new key notify_hal_error to set the policy for HAL failure
   notifications. Default true to display. Fixes #332440
 - Add the new key use_time_for_policy to set the policy for per-time or
   per-percentage critical and low power actions. Fixes #332055
 - Fix the notification for battery when the AC is removed. Fixes #332322
 - Only inhibit sleep if we are set to check the CPU load. Fixes #332149
 - Add in functionality so that we dim the screen to 30% when the SESSION
   is idle. Fixes #328564
 - Only use the ac_adapter fallback on desktops if use_icon_for_desktops is
   set. Defaults to false. Fixes #332407

Power Preferences

 - Disable widgets if gconf key is marked not writable
 - Various HIG fixes (Jaap Haitsma, Crispin Flowerday)

Translators

 - Julien Valroff (French)
 - Žygimantas Beručka (Lithuanian)
 - Ilkka Tuohela (Finnish)
 - Clytie Siddall (Vietnamese)
 - Takeshi AIHANA (Japanese)
 - Vladimer SIchinava (Georgian)
 - Kjartan Maraas (Norwegian bokmål)
 - Kostas Papadimas (Greek)

===============
Version 2.13.91
===============

Released February 20, 2006

General

 - Add --enable-actions-menu=foo so we can disable the menu at compile time.
   Fixes bug #331446
 - Remove doxygen build support as hardly any files now use doxygen. #327743.

Power Manager

 - Check the on_ac property before we do the action. #331401.
 - Make g-p-m do the right thing for the Sleep keyboard button (David Zeuthen).
 - Add a simple and complex locking modes (for power users) to fix #331164
 - Document the complex locking policy. #331717
 - Do not show the tooltip when popup menu is on the screen. #331075
 - Changed "Power Warning" to "Power Information" for the title when the
   ac_adapter is removed. #331865
 - We do the lid close on battery action if the ac_adapter is removed when the
   laptop is closed and on battery. #331655

Power Preferences

 - Use a new UI separating the AC and battery policy cleanly.
 - Change duplicate accesskeys #331538
 - Remove pointless icons in general tab #331530.
 - Remove suspend button action from the GUI (defaults to suspend) but can be
   changed by power users in gconf. #331757 (Jaap Haitsma)
 - Add back option "Suspend" for low power action by popular request, and
   explain in the docs why it might be a bad idea. #330267
 - Make the widgets disabled if the gconf key is not writable. #327893

Translators

 - Francisco Javier F. Serrador (Spanish)
 - Kjartan Maraas (Norwegian)
 - Satoru SATOH (Japanese)
 - Clytie Siddall (Japanese)

===============
Version 2.13.90
===============

Released February 15, 2006

General

 - Add a scons build framework. #328708
 - Add debugging framework so traces are more manageable.
 - Vastly updated yelp file with lots more information. #324977

Power Manager

 - Fix the icon and tooltip for UPS's. #329027
 - Do an exponentially weighted average for the rate so that high frequency
   changes are smoothed. This should mean the time_remaining does not
   change drastically between updates. #328927.
 - Inform the user if the HAL command failed, and point them in the direction
   of the on-line FAQ page. #330889
 - We can restart hald without killing g-p-m. #327234
 - Expose the Suspend and Hibernate actions interface. #330189
 - Fix signal-related crash on 64bit systems.
 - Add an autostart file so we start automatically. #328801
 - Prevent the notifications from being wrongly shown multiple times. #328958
 - Clear charge status when rate zero. #328964
 - Only do lid sleep action when on battery power. #329512

Power Preferences

 - Only connect up the value-changed signal once the initial value has been set.
   This prevents the gconf keys from getting written to (if only for a
   split second), so that the icon no longer flickers when preferences is
   clicked. RH #179797

Translators

 - Ilkka Tuohela (Finnish)
 - Clytie Siddall (Vietnamese)
 - Theppitak Karoonboonyanan (Thai)
 - Alexander Shopov (Bulgarian)
 - Kostas Papadimas (Greek)
 - Raphael Higino (Brazilian Portuguese)
 - Žygimantas Beručka (Lithuanian)
 - Leonid Kanter (Russian)
 - Ilkka Tuohela (Finnish)
 - Hendrik Brandt (German)
 - Theppitak Karoonboonyanan (Thai)
 - Raphael Higino (Brazilian Portuguese)
 - Slobodan D Sredojevic (Serbian)
 - Chao-Hsiung Liao (Traditional Chinese)
 - Øivind Hoel (Norwegian bokmål)
 - Vincent van Adrighem (Tino Meinen)
 - Ignacio Casal Quinteiro (Galician)
 - Francisco Javier F Serrador (Spanish)
 - Ankit Patel (Gujarati)
 - Josep Puigdemont i Casamajó (Catalan)
 - Lukas Novotny (Czech)

==============
Version 2.13.5
==============

Released January 25, 2006

General

 - Bump version to a more suitable GNOME release version.
 - Remove the website source from CVS as already in gnomeweb. #328280
 - Flattern the gconf schema so that we don't have lots of subfolders
   for very few keys. #327894

Power Manager

 - Lots of smaller bugfixes such as #327471, #327799
 - Only notify the user of low battery on the 20, 10, 5, and 2 minute intervals.
 - Add CanSuspend and CanHibernate DBUS methods
 - Make tooltip more concise. #327443
 - If icon not embedded don't do notifications. #327799
 - Manager now changes brightness, not g-p-p. #327895
 - Set the correct lcd brightness on startup.
 - Fix the bug where g-p-m crashes after emitting a signal
 - Added .desktop file for gnome-session's autostart mechanism.
 - All time now internally stored as seconds. #328289
 - Show the tray menu for any button press. #327959.
 - Only do critical action for primary battery. #328228, #328228
 - Don't do lots of notifications on startup if battery is very low. #327963

Power Preferences

 - Make the combo boxes in options expand so that we don't get different sizes.
 - Remove time estimates for low and critical battery since this is device
   and system dependent.
 - Brightness now dealt with as a percentage, so gconf portable. #327895
 - Now called "Power Management Preferences". #328397

Translators

 - Ankit Patel (Gujarati)
 - Clytie Siddall (Vietnamese)
 - Ilkka Tuohela (Finnish)
 - Kjartan Maraas (Norwegian bokmål)
 - Ignacio Casal Quinteiro (Galician)
 - Tino Meinen (Netherlands)
 - Francisco Javier F. Serrador (Spanish)
 - Funda Wang (Simplified Chinese)
 - Slobodan D. Sredojevic (Serbian)

=============
Version 0.3.4
=============

Released January 17, 2006

- We now depend on HAL 0.5.6 for the new suspend, hibernate and shutdown
  functionality. HAL 0.5.6 is available in my repo for FC4.
- Source releases are now done on the GNOME ftp servers:
  ftp://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/
- We now only show Suspend and Hibernate options when HAL says we should.
  NOTE: just because HAL (i.e. the kernel) says it has hibernation or suspend
  support is compiled in, doesn't automatically mean that it will *work*.
- DPMS has moved into gnome-power-manager from gnome-screensaver, thanks
  to the work from William Jon McCann. There now is a DBUS interface to
  control this new functionality (#326276)
- org.gnome.GnomePowerManager -> org.gnome.PowerManager (#326492)
- GNOME Power Manager now listens for the new idle signals from g-s.
- There now is a yelp help file (#324977), thanks to Jaap Haitsma.
- Lots of new translations: Greek (Nikos Charonitakis), Gujarati (Ankit Patel),
  Vietnamese (Clytie Siddall), Catalan (Josep Puigdemont i Casamajó),
  Thai (Theppitak Karoonboonyanan), Serbian (Slobodan D. Sredojevic).
- Lots of updated translations: Galician (Ignacio Casal Quinteiro), 
  Hungarian (Gabor Kelemen), Bulgarian (Alexander Shopov), 
  Norwegian (Kjartan Maraas), Spanish (Francisco Javier F. Serrador), 
  Simplified Chinese (Funda Wang), Lithuanian (Žygimantas Beručka), 
  Italian (Daniele Medri), French (Guillaume Savary), Finnish (Ilkka Tuohela).
- We now try to save the GNOME application state before the critically-low
  action is taken (default shutdown).
- The power button is now an interactive shutdown, saving GNOME session state.
- Fix a bug where the preferences program was crashing on missing gconf schema.
- Fixed lots of other smaller bugs such as (#322773), (#323135), (RH#174196),
  (#322547), (RH#172963), (RH#176656).
- Lots of source file re-organisation, also a large refactoring. Thanks to 
  William Jon McCann for the large amount of code cleanup done.
- Fix problem where preferences window is redrawn and then resized (#323562)
- Don't crash if gnome-panel is restarted, but display the icon again (#324446)
- Fix problem where battery is removed, and icon does not change (#323563)
- Made the warning about the AC adapter and the battery full gconf
  configurable, fixing RH#176433 and (#325876).

=============
Version 0.3.1
=============

Released November 28, 2005

- Now we disconnect and reconnect NetworkManager when suspending and resuming.
- Default is now to suspend on lid close. At least we should assume it will
  succeed, rather than assume it will fail.
- Lots of HIG changes in g-p-p by Jaap Haitsma, thanks.
- If we are an IBM Thinkpad, don't dim the screen gently, as the BIOS does
  this automatically on it's own.
- Add the beginning of a console g-p-m for GDM (prototype).
- Add screensave 'Poke' so we can interrupt the screensaver instead of waiting
  for a keypress after a suspend or hibernate resume.
- Build fixes so we can build with DBUS head (and 0.60 when released).
- Fixed a bug where the correct brightness wasn't being set on battery boot.
- Added an option in g-p-p so that password protected resume is an option.
- If you are having problems with crashes or missing settings, please uninstall
  the gnome-power-manager 0.2.8 rpm, and install 0.3.1, rather than upgrading.
  The old rpm post line in 0.2.8 causes the new gconf schema to be uninstalled.
- Also fix a bug which makes the last bug doubly worse, by not crashing on
  missing gconf schema, but handling it gracefully, and guessing some defaults.
- Lots of translation updates.

=============
Version 0.3.0
=============

Released November 15, 2005

- Schema is now properly applied in the RPM spec file.
- Fix the tooltip so that we don't display "Unknown Remaining"
- Wireless mice and keyboards now generate messages when battery low.
- Now align the menu to the bottom (or top) of the notification area like
  all the applets do.
- Website is now hosted on gnome.org servers:
  http://www.gnome.org/projects/gnome-power-manager/
- New WIKI with all the things in progress and TODO:
  http://live.gnome.org/GnomePowerManager
- Update the website to be more GNOMEy, copied from the nautilus template.
- Lots of Makefile.am and configure tidy ups with thanks to JP Rosevear.
- Removed gpm-dbus-test and made the DBUS interface *much* simpler
- Multiple batteries and wireless device support massivly improved due
  to a new underlying calculation engine. Lots of cruft has been ripped out.
- Laptops that don't turn off the backlight when the lid is shut are now
  automatically turned off using DPMS.
- Notification icon now only appears when batteries low, or optionally
  when discharging and charging. The options have been turned to radio buttons
  to make options clearer. Also icons are now at 24x24 to conform to the
  GNOME HIG.
- libnotify messages now replace one another, so the screen isn't littered
  with "battery is critically low" messages.
- Replace our own "dumb" icon management with the GNOME stock icon functions,
  with thanks to Jaap Haitsma.
- Lots of translation updates.

===============
Version 0.2.8.1
===============

Released October 25, 2005

- Fix a NULL pointer dereference where the remaining_time isn't known, and
  the battery is low.
- Don't crash when we do not have gnome-dev-memory in our theme.
- We now register the name of the application with the session-manager.
- Change HAL dep from 0.5.4 to 0.5.3 so we can build on Ubuntu Breezy.
  NOTE: There are *lots* of bugs in HAL 0.5.3 fixed in later releases.
- Now delete Makefile.in when doing maintainer-clean rather than distclean
  so we can build on Ubuntu Breezy.

=============
Version 0.2.8
=============

Released October 17, 2005

- All source files are now fully documented with Doxygen.
  http://gnome-power.sourceforge.net/doxygen/
- Fixed problems with displaying the just the AC Adapter icon.
  Thanks to Dumitru Ciobarcianu for reporting the problem.
- Added desktop mode where icon is forced. Disabled by default.
  The icon handling logic is to be simplified in 0.2.10
- Fixed a fatal error where a NULL pointer was deferenced when removing
  AC Adaptor when icon was hidden.
- Lots of cosmetic fixes thanks to Wouter Bolsterlee.
- Add back the (now themed) icons to gnome-power-preferences.
- Add a new tool, gnome-power-info to display the p-m capabilities or your
  machine, and report details of your power hardware. More to come...
- Lots of cosmetic fixes from Wouter Bolsterlee.
- We now detect when HAL is restarted and warn the user accordingly.
- When setting the low battery and critical battery threholds, we now
  tell the user how much time they would have. This only works for ACPI
  when discharging, as HAL doesn't give us discharge data when charged.

=============
Version 0.2.6
=============

Released October 01, 2005

- GNOME Screensaver support runtime detection has been improved
  (no timeouts now, and console messages supressed)
- Fixed lots of 64bit warnings thanks to Rodrigo Moya <rodrigo@novell.com>
- GNOME Power Manager is now in Fedora Core Rawhide!
- The screen now dims gently (rather than a big brightness change) when
  changing brightness states.
- We now support ONLY the new SetBrightness HAL API in HAL CVS.
  http://article.gmane.org/gmane.comp.freedesktop.hal/3280
  You will have to be using HAL CVS for brightness changing to work.
- We now do not require libhal as all communication to hald is done through
  the DBUS glib bindings.
- All source files now have lots of asserts that should make any code logic
  errors easy to spot. Please report any regressions.
- Thanks to Robert Love, we now daemonize when being run. Use --no-daemonise
  to disable this.
- A new "About" box that follows the GNOME HIG...
- A new "Information" tab that tells you a bit about your computers' power
  management capability. This is very young and will have much more
  information in the future about batteries, UPS's etc. Help welcome.
- Lots of fixes and improvements to the core code, with thanks to Theetjuh
  and Myk Melez for testing the code so well.
- GNOME Power Manager now notifies you your battery is low *and* how much time
  you have remaining. This fixes a regression from 0.2.2.
- Working with GNOME Screensaver, we now work out the idle time so we can
  suspend or hibernate in a period of keyboard and mouse in-activity. 
  The load value is also computed, so we can avoid sleeping when CPU 
  intensive programs are left running, e.g. kernel compiles or simulations.

=============
Version 0.2.4
=============

Released September 21, 2005

- We now have an experimental yum repo that contains all the needed updates
  for a standard FC4 system.
  You do not now have to update your fedora system to the unstable
  rawhide repo. All packages have been built by me for FC4.
- Comboboxes now only have "sane" values available.
- Lots more code cleanups, and more modularization.
- 100% GLIB DBUS support - this is faster than libhal, but has not been tested
  much, and is disabled for now. Use ./configure --enable-glibhal to test.
- DBUS services now works, so we init g-p-m with just a query to 
  org.gnome.GnomePowerManager. This makes it easy to make sure g-p-m has been
  started, or to start g-p-m when we start Power Preferences.
- Now we control GNOME Screensaver so that we don't use screensavers on battery
  but just blank the screen.
- Lots of updates to the website.
- Fixed specfile to be in RedHat approved format.
- Now we only call SetLowPower if system.formfactor is laptop.
- We detect GNOME Screensaver at runtime, rather than with a configure option.

=============
Version 0.2.2
=============

Released September 07, 2005

- Fixed the problem where the notification icon wasn't being shown by default.
- We now check for the presence on the session and system dbus connections,
  and tell the user what they have to do, to fix the problem.
- New Polish translation by Michał Kastelik
- Switch to using org.gnome.GnomePowerManager rather than net.sf.GnomePower
- Add the new DBUS api calls isOnBattery(), isOnUps(), and isOnAC() and 
  remove isRunningOnMains().
- LCD slider brightness now adjusts the correct immediate state while on 
  battery power and AC.
- Fix from wrobell to fix compilation on PLD Linux.
- Made docbook2man optional. If this program is missing, the man files will 
  not be built.	Suggested by Eugenia Loli-Queru to fix Arch Linux compilation.
- Add lots more answered questions on the FAQ page.

=============
Version 0.2.1
=============

Released September 5, 2005

- The reboot and halt gconf typos have been fixed.
- Lots more code compliant with C99.
- gnome-power-manager now sports a --version argument.
- New Italian translation by Daniele Medri
- Fix a problem reported by Andrew Duggan where the incorrect ACPI reading was
  tripping up our over-zealous HAL checks.
- Rename LCDPanel to LaptopPanel to match HAL CVS. LCD brightness is
  officially supported now.
- Fix the combobox error for "Sleep Type"
- Website updated with a "bug reporting" section.

=============
Version 0.2.0
=============

Released August 31, 2005

- This new release brings lots of new features and updated translations.
- The preferences program now supports LCD brightness, and works with 
  gnome-screensaver to set the DPMS timeout for monitors.
- The website has been updated with a new design with lots more content.
- *WARNING* this program depends on new DBUS and HAL libraries to install, 
  due to the recent changes in HAL. See the new FAQ page 
  (http://gnome-power.sourceforge.net/faq.php) for more details.
- Working with HAL 0.5.4, lots of problems have been solved.
- This includes the need for a external DBUS daemon - now we use HAL to 
  launch scripts.
- Many more batteries are supported, as well as support for most of the 
  broken ACPI BIOSes.
- This release has had little testing (and a *lot* has changed internally 
  since 0.1.0), so expect a few bugs, and teething problems.
- The wait between 0.1.0 and 0.2.0 has been required for the newest HAL to be
  released. Expect more frequent releases in the future.

=============
Version 0.1.0
=============

Released July 12, 2005

- Massive changes!
- A new DBUS system daemon, pmscripts that you can edit for suspend2 or 
  swsup hibernation.
- Lots of new features including a full client API for shutdown/logoff 
  notification to applications.

=============
Version 0.0.5
=============

Released June 18, 2005

- PDA support
- Totally re-written backend and lots of architectural changes.
- Icons now generated on the fly, logging improved.
- Events now configuable, code tidied up.

=============
Version 0.0.4
=============

Released June 15, 2005

=============
Version 0.0.3
=============

Released April 17, 2005

- Lots of bugfixes, new features, new preferences program - supporting 
  wireless mice and keyboards, pda's and the usual laptop batteries...

=============
Version 0.0.2
=============

Released March 24, 2005

- Pre-release version, mostly proof of concept.
- Newer (and better :-) code is always found in CVS.
- Other ideas or comments welcome.
